EDraw Help

version 3

EDraw 3 Help System

Contents

Welcome to EDraw

  • EDraw for Easy Drawing

  • Registration

  • How to get back your license code?

  • How to activate Edraw product?

  • Updates and Download Libraries

  • Technical Support

Start Your Work in EDraw

  • Working Environment

  • Creating a Drawing

  • What You Can Use EDraw For

Documents

  • Program Settings

  • Working with Documents

    • Rulers and Grid

    • Snapping and Gluing

    • Document Settings

  • Importing Files

  • Exporting a Document

  • Printing a Document

  • Working with Pages

    • Multiple Page Documents

    • Zooming and Scrolling Pages

  • Working with Libraries

    • Editing Libraries

    • Manage Your Own Libraries

  • Working with Samples

Working with Shapes and Text

  • Finding and Adding Shapes

  • Operating Shapes

    • Selecting a Shape or Multiple Shapes

    • Moving, Rotating, Resizing and Flipping Shapes

    • Aligning and Distributing Shapes

  • Operating Shapes Properties

  • Adding and Formatting Text

    • Adding Text

    • Formatting Text

    • Editing Text

    • Copying Text

    • Move, Rotate and Resize Text Block

  • Operating Text Block

  • Formatting Shapes

    • Shape Colors

    • Color Schemes

    • Styles

    • Fills, Shadows and Patterns

    • Lines and Line Ends

    • Transparency

  • Grouping and Copying Shapes

  • Connecting Shapes

    • About Connectors

    • Change the Appearances and Behavior of Connectors

    • About Connection Points

    • Working with Connection Points

    • Connect Shapes

    • Working with Connectors

  • Drawing and Editing Shapes

    • Drawing Shapes

    • Editing Shapes

Drawing with Drawing Tools

  • Drawing Basics

  • Drawing Simple Lines and Shapes

  • Drawing with the Pen Tool

  • Drawing with the Pencil Tool

  • Editing Path

    • Select Paths, Segments, and Anchor Points

    • Adjust Path Segments

    • Adding and Deleting Anchor Points

    • Convert between Smooth Points and Corner Points

Misc

  • OLE Objects

  • Clipping a Drawing

  • Insert Pictures

  • Insert Symbols

  • Insert Hyperlinks

Appendix

  • Keyboard Shortcuts

  • Libraries

  • Toolbars

  • Menus

http://www.edrawsoft.com

©2004-2007 EDraw. All rights reserved.


Welcome to EDraw

EDraw for Easy Drawing

Registration

How to get back your license code?

How to activate Edraw product?

Updates and Download Libraries

Technical Support

EDraw for Easy Drawing

EDraw is a powerful application that will help you visualize and structure information, add illustrations and drawings to your documents. It's perfect for those, who work in the fields such as:

  • Business and management,

  • Technology,

  • Education,

  • Creative work, etc.

You can use EDraw to create:

  • Business diagrams,

  • Building plans,

  • Directional maps,

  • Flowcharts,

  • Mind map,

  • High-quality technical drawings,

  • Network diagrams,

  • Organizational charts,

  • Sketches and visual materials,

  • Tables and illustrations,

  • Web site plans,

  • UML diagrams (Software design diagrams) etc.

EDraw will help you to make all this fast and easy. That's possible thanks to the program's intuitive interface, powerful and easy-to-use drawing tools, and many pre-drawn library objects.

Registration

To become a registered user, fill out the registration form on our website:
http://www.edrawsoft.com/order.php

Registration gives you the following benefits:

  • Unlimited free technical support,

  • Free maintenance;

  • Free download new libraries and other components.

  • Discounts for upgrades and other products of EDraw line.

How to get back your license code?

If you lost your license code, you can visit following link to get back it.

http://www.edrawsoft.com/customerassist.php

How to activate Edraw product?

Once you purchased Edraw you should activate it to get full functions.

Following link will help you to finish your activation.

http://www.edrawsoft.com/HowToRegister.php

Updates and Download Libraries

If you are registered user, you can download the libraries freely.

You can download updates from our website http://www.edrawsoft.com/update.php. The fastest way to to check for updates for your product is to choose Check for Updates from the Help menu in EDraw. The update guider will help you doing all.

Technical Support

We offer unlimited free technical support by e-mail to our registered users. See the Registration section on how to register.

To send us a problem report or feature request, fill out the contact from in the Support section on our website: http://www.edrawsoft.com/support.php.

Replies are normally sent within one business day. We are always happy to answer your questions and hear your feedback.


Start Your Work in EDraw

Working Environment

Creating a Drawing

What You Can Use EDraw For


Working Environment

EDraw is a multi-window environment, that allows you to work with several documents at a time. It has a large number of toolbars and floating dialogs which make creating vector drawings, schemes and diagrams convenient and fast.

Working Environment: Windows, Toolbars and Libraries

When you launch EDraw, the document window will come up, with the main menus, several toolbars and a black document.

The user can re-arrange and customize toolbars; however, we will use the default toolbar settings for the purpose of this exercise.

The Tools toolbar is located in the left part of the document window and contains the main tools for drawing and editing shapes and their text.

At the top of the document window you can see the main program menu and all or some of the following toolbars: Standard toolbar - for working with document files (opening, saving, printing, copy/paste commands and other), Format toolbar - for working with line and fill colors and styles and other, the OLE toolbar used to insert most useful OLE objects, the Zoom toolbar that is used to increase/decrease the zoom level in the document.

Align and Distribute toolbars are located in the bottom of the document window are used to align and distribute shapes.

Library pane, Style pane and Sample pane are located in the left of the document window.

By default, the grid is displayed for more convenient and precise drawing. It can be disabled from the View / Grid menu.

By choosing the Rectangle tool [image] you can draw a rectangle in the document, using the mouse. Press and hold down the mouse button, and drag the mouse across the page to draw a rectangle of the desired size and form. On releasing the mouse button, the rectangle will appear. To select the rectangle, switch to the Selection tool [image] and click somewhere on the rectangle. To deselect it, click away from the rectangle. To move the rectangle to some other place, click and hold the mouse button on it, drag it to the needed location and then release the mouse button.

When you are in the select mode, you can resize the rectangle by dragging the corresponding resize handle.

To remove the selected shape, press the Delete key.

If you double-click the rectangle, or press letter key when the rectangle is selected, the text editing mode will turn on. Each shape can have text. The text editing mode will also turn on automatically if you start typing when the shape is selected.

If you press and hold the CTRL when dragging a shape, you will drag a copy of the shape instead of the original shape. You can carry the copy to the needed location and release the mouse button to drop it there.

Besides, the selected shape can be moved with the keyboard (the arrow keys).

If you click on a resize handle of a selected shape, the resize handle will get selected and you can use the arrow keys to move the resize handle and reshape the shape by doing so.

For information about the Library Pane, please read Working with Libraries, Libraries.
About the Drawing Tools toolbar, please read Tools toolbar, Drawing and Editing Shapes.
About the Main toolbar, please read Standard toolbar.
About the Formatting toolbar, please read Format toolbar.
About the Align toolbar, please read Align toolbar, Aligning and Distributing Shapes.
About the Distribute toolbar, please read Distribute toolbar, Aligning and Distributing Shapes.

About the OLE toolbar, please read OLE toolbar, OLE Objects.

About the Zoom toolbar, please read Zoom toolbar, Zooming and Scrolling Pages.
About operations on shapes and texts, please read Working with Shapes and Text.


Creating a Drawing

EDraw is perfect for drawing organization and workflow charts. This chapter describes how you can create a chart of the genealogy of object and object-orientated programming languages by using EDraw.

Lets draw an flow chart of the genealogy of object and object-orientated programming languages. The chart demonstrates how the relation ship and development of the object and object-orientated programming languages.

The resulting chart will look as follows:

Let start creating the chart.

Start up EDraw, a new blank document will be created.

You will see the library window with open libraries. We'll need the "Basic Flowchart Shapes" library. Activate it by clicking on its title bar. You will see library shapes which can be used for drawing an flow chart.

To place a library shape on the page, you can drag a shape from the library with the mouse, and drop it on the page.

In the library, choose the shape with this icon [image] and place it on the page as described above, and select the shape in the page and type "ALGOL 60".

Repeat this for all other programming languages.

In the result, you should get the following scheme:

Blue crosses mark the connection points. Connection points won't be visible when printed or exported to a graphic file (same as the grid). If you don't want to see connection points, you can hide them using the View / Connection Points menu. To see how the document will look when printed, use the File / Print Preview menu.

Now you need to establish relationship between the shapes. For this it's more convenient to see the connection points of shapes. If connection points are hidden, enable them from the View / Connection Points menu.

Now, on the Tools toolbar choose the Line tool [image] to draw straight line or choose the Connector tool [image] to draw right-angle line, for detail information please read Connect Shapes.

Move the mouse pointer to the bottom connection point of the shapes. The connection point will be marked as a red cross.

Click and hold the mouse button, and drag the mouse to the right connection point of the shape, that denotes the other shape.

.

Release the mouse button.

Connect all other shapes in the same way. Adjust the connectors so that they look as on the flow chart.

And draw a straight line and add four text blocks and type the year.

The result must looks as follows:

Now change the formatting of the shapes and texts same with the displaying in the flow chart.

Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

If not opened, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

Click Show style and select Predefined Styles to show the predefined styles.

Select multiple shapes you want apply the same style, and find the style [image] and click it.

Repeat the steps described above, apply the styles [image] and [image].

For more information about styles, libraries and text formatting, please read Styles, Working with Libraries, Formatting Shapes.


What You Can Use EDraw For

Thanks to its powerful drawing capabilities EDraw can be used by people, working in different fields: IT specialists, software developers, engineers, managers, teachers.

The product is recommended to managers, designers, network specialists, programmers, teachers and scientists.

You can use EDraw to create all kinds of diagrams, database schemes, process schemes, business processes, organization charts, network diagrams, formulas and schemes of math calculating processes, logo and graphics and so on.

EDraw comes with many library shapes for different tasks. There are libraries for organization charts, libraries for flowchart, libraries for computer networks and software interfaces. The libraries contain ready-made shapes, which you can use in your drawings.

EDraw supports a large number of popular graphic formats, allowing you to use it together with other applications.

It also allows you to create your own libraries, for your specific purposes.


Documents

Program Settings

Working with Documents

Rulers and Grid | Snapping and Gluing | Document Settings

Importing Files

Exporting a Document

Printing a Document

Working with Pages

Multiple Page Documents | Zooming and Scrolling Pages

Working with Libraries

Editing Libraries | Manage Your Own Libraries

Working with Samples


Program Settings

In EDraw, you can configure the program settings to optimize or individuate the working environment.

  1. On Tools menu, click Options, then Options dialog will come up.

  2. In Options dialog, you can:

In General table:

  • Type the value for Undo times.

  • Type the value for the number of Recently used file entries.

  • Type the value for the time interval to auto save current documents in the Save auto recover info box.

  • Click the box in the front of Check for updates at startup to check for updates when EDraw starting up or not.

  • Click the box in the front of High quality shape display to display shapes smoothly or not.

  • Click the box in the front of Smooth text display to display text smoothly or not.

In View table:

  • Click Default Unit to select the documents' measure unit.

  • Click Default page size to select the documents' default page size.

  • Click Rulers, Grid and Connection points to show or hide rulers, grid and connection points.

  • Select the Page color, Background color, Docking windows background color and Full screen background color.


Working with Documents

Rulers and Grid

Snapping and Gluing

Document Settings

Articles

Creating a new document

Saving a document

About auto save

Creating a new document

To create a new EDraw document you can do one of the following:

  • Choose New from the File menu.

  • Click the New button [image] on the toolbar.

A blank new document will open in a separate window.

Saving a document

To save an active document, choose Save from the File menu, or click the Save button [image] on the toolbar.

When you first time save the document, you can choose its name and location in the Save As dialog.
If you have saved this document already, the modified document will be saved under its existing name.

To save a modified document under some other name, choose the Save As command under the File menu. Specify the new name and location in the Save As dialog. The active document will get a new name and will be stored in the specified location.

Read also Exporting a Document.

About auto save

EDraw will save your documents opened automatically, if something unexpected happened and EDraw is shutdown, once you start EDraw again, the auto save files will be listed in the File Recover pane docking at the right of the page. You can recover the documents you editing just now.

  1. Click the down arrow beside the file.

  2. You can:

    • Click Open to save the file to the folder you want and open it.

    • Click Delete to delete the temporary file.


Rulers and Grids

About Rulers and Grid

Show or hide the grid

Set grid spacing and subdivisions

Set grid color and style

Show or hide rulers

Set ruler measurement units

About Rulers and Grid

Rulers and Grid help you position the shapes precisely in your documents, and measure the dimensions of the shapes which are on page. The Rulers and Grid use the units of measure set for the document.

Rulers

Each drawing window has vertical and horizontal rulers that show measurements at the scale (scale: A measure of the relationship between actual distances and distances represented in a Visio drawing. For example, a floor plan might have a scale of one meter of actual distance to one centimeter in the drawing.) of the drawing.

  • The intervals of the ruler correspond to the measurement unit you set in the Page Setup dialog box.

  • When you move shapes in a drawing, faint lines appear on the rulers to indicate the position of the shapes.

Grid

The grid helps to position shape more precisely. You can show/hide the grid in the document. Use the Grid option in the View menu.

By default, the grid is not printed with the document.
If you want grid to be printed, select printing grid line option in the Page Setup dialog. Read also Print setup.

Show or hide the grid

To show or hide the grid, you can:

  • On the View menu, click Grid.

  • On the Tools menu, click Grid & Rulers, then Grid & Rulers dialog will come up, in Grid & Rulers dialog, click Show Grid.

Set grid spacing and subdivisions

  1. On the Tools menu, click Grid & Rulers.

  2. The Grid & Rulers dialog will come up.

  3. In Grid box, type the value in Grid spacing and Subdivisions boxes.

Set grid color and style

  1. On the Tools menu, click Grid & Rulers.

  2. The Grid & Rulers dialog will come up.

  3. In Grid box:

    • Click Color box to select the grid color.

    • Click Style box to select the gird line pattern.

Show or hide rulers

To show or hide the rulers, you can:

  • On the View menu, click Rulers.

  • On the Tools menu, click Grid & Rulers, then Grid & Rulers dialog will come up, in Grid & Rulers dialog, click Show Rulers.

Set ruler measurement units

  1. On the Tools menu, click Grid & Rulers.

  2. The Grid & Rulers dialog will come up.

  3. In Grid & Rulers dialog, click Ruler Unit to select the ruler measurement unit.


Snapping and Gluing

Snap behavior in EDraw positions and aligns shapes exactly. Snapping pulls shapes to one another or to ruler subdivisions, grid (grid: Nonprinting horizontal and vertical lines that appear at regular intervals on the page.), guide lines or shape outline; and pulls control points to shape vertices, connection points or drawing aids so you can control placement and alignment. You can control what types of objects shapes snap to and the snap strength, which is the amount of pull that an object exerts.

By default, shapes snap to both ruler subdivisions and grid lines.

To set snapping options, on the Tools menu, click Snap & Glue, then the Snap & Glue dialog will come up, in the dialog, you can select the option you want.

  • Ruler subdivisions

  • Grid

  • Guide line (unavailable temporary)

  • Shape outline

  • Shape vertices

  • Connection points

  • Drawing aids


Document Settings

Page settings

Program settings

Show/hide connection points

Program settings

Please read Program Settings.

All the program settings will applied to the documents.

Show/hide connection points

On View menu, click Connection points to show/hide the connection points.


Importing Files

Importing Pictures From Graphic Files

Importing Photoshop Files

Importing Pictures From Graphic Files

You can import files, created in other applications, and use them in your documents. EDraw supports importing of the following file formats:

MS Windows Bitmap | (*.bmp, *.dib)
Joint Photographic Experts Group JFIF format | (*.jpg)
CompuServe graphics interchange format | (*.gif)
Tagged Image File Format | (*.tif)
Portable Network Graphics | (*.png)
MS Windows Metafile Format | (*.wmf)
MS Windows Enhance Metafile Format | (*.emf)

  1. On File menu, point to Import, and click Graphic File.

  2. The Open dialog box will come up, select the file you want open.

  3. Click Open.

Importing Photoshop Files

EDraw allow you open the Photoshop files.

  1. On File menu, point to Import, and click Photoshop File.

  2. The Open dialog box will come up, select the file you want open.

  3. Click Open.


Exporting a Document

About exporting a document

Exporting to PDF

Exporting to HTML

Exporting to Multiple Page TIF File

Exporting to Graphic File

Exporting to SVG

Exporting to EDraw Slider Show

About exporting a document

To use EDraw together with other programs, you can export EDraw documents to various formats.

Very often it's needed to view or print a document on different computers and platforms. In this case you can export your document to the PDF format.

By publishing your documents on the Web you can easily share it with many people.

To make a presentation you may want to use slider show.

To insert your drawing into other documents (for instance, Word), you need to transform it into a file of some graphic format.

EDraw is well equipped for these tasks.

Exporting to PDF

EDraw can export your documents to Portable Document Format (PDF) which is widely used for exchanging and printing documents on various platforms and operating systems.

This format allows to preserve the correct look of your documents.

To export to PDF, you should do as following:

  1. On File menu, point to Export, and click PDF File.

  2. The Save As dialog box will come up, type the file name and click Save.

Also you can:

  1. Click Save As on the File menu.

  2. On the Save As dialog box, select the Save Type as Adobe PDF.

  3. Type the file name and click save.

Exporting to HTML

EDraw is well integrated with the Internet. By exporting your document to HTML you can easily publish it on the Web.

  1. On File menu, point to Export, and click HTML.

  2. The Save As dialog box will come up, type the file name and click Save.

Also you can:

  1. Click Save As on the File menu.

  2. On the Save As dialog box, select the Save Type as Web Page.

  3. Type the file name and click save.

Exporting to Multiple Page TIF File

  1. On File menu, point to Export, and click Multiple Page TIF File.

  2. The Save As dialog box will come up, type the file name and click Save.

Also you can:

  1. Click Save As on the File menu.

  2. On the Save As dialog box, select the Save Type as Tagged Image File Format.

  3. Type the file name and click save.

Exporting to Graphic File

You save separate EDraw shapes or the entire document in various graphic formats.

You can export to the files of the following formats:

MS Windows Bitmap | (*.bmp, *.dib)
Joint Photographic Experts Group JFIF format | (*.jpg)
CompuServe graphics interchange format | (*.gif)
Tagged Image File Format | (*.tif)
Portable Network Graphics | (*.png)
MS Windows Metafile Format | (*.wmf)
MS Windows Enhance Metafile Format | (*.emf)

  1. On File menu, point to Export, and click Multiple Page TIF File.

  2. The Save As dialog box will come up, type the file name and click Save.

    3. Also you can:

    1. Click Save As on the File menu.

    2. On the Save As dialog box, select the Save Type as Tagged Image File Format.

    3. Type the file name and click save.

  3. The Image Properties dialog box will come up, you can:

    • To save the page or shape with the original size, click Original size.

    • To save the page or shape with zoom size, click Use zoom and select a zoom factor you want.

    • To save the page or shape with special size, click the Fit to size and type the value you want.

    • To save the active page, click Whole page.

    • To save all the pages in the document, click All the pages.

    • To only save the selected shapes, click Selected shapes, if you selected shape.

    • To save all the shapes in the active page, click All shapes on the active page, if you selected shapes.

    4. Note You can see the content to save in the preview box.

Exporting to SVG

You can export your document to the SVG (Scalable Vector Graphics) format.

  1. On File menu, point to Export, and click Native SVG.

  2. The Save As dialog box will come up, type the file name and click Save.

Also you can:

  1. Click Save As on the File menu.

  2. On the Save As dialog box, select the Save Type as Scalable Vector Graphics Format.

  3. Type the file name and click save.

Exporting to EDraw Slider Show

You can export your document to the Slider Show format and read it anywhere without EDraw program.

  1. On File menu, point to Export, and click EDraw Slide Show File.

  2. The Save As dialog box will come up, type the file name and click Save.

Also you can:

  1. Click Save As on the File menu.

  2. On the Save As dialog box, select the Save Type as EDraw Slide Show File.

  3. Type the file name and click save.


Printing a Document

Print setup

Print preview

Printing

Print setup

  1. Click Page Setup on the File menu.

  2. Click Print Setup tab in the Page Setup dialog.

  3. In the Print Setup table you can:

    • Select the print paper, choose one of the predefined print paper settings.

    • Select the print paper's orientation: Portrait or Landscape.

    • Click Zoom to select the print zoom factor.

    • Set the print options: select Grid line to print grid; select Guideline to print guide lines; select Connection Points to print connection points.

  4. Click OK.

Print preview

After all settings are done, you can view the representation of the printed document without printing it.

  1. Choose Print Preview from the File menu.

  2. In preview window, you can:

    • Click Zoom In or Zoom Out to change the size of the preview page.

    • To preview next page, click Next Page, if there are more than one page in the document.

    • To preview previous page, click Prev Page, if there are more than one page in the document.

    • To display two pages in the preview window, click Two Page, and click One Page to back.

    • To print the document, click Print.

    • To close the preview window, click Close.

Printing

Once the document and printer are properly configured, you can print it by using one of the following ways:

  • Click Print in the Print Preview window.

  • Click the Print button on the standard toolbar.

  • Choose the Print command from the File menu.

The Print dialog will come up with the default printer selected.
In this dialog you can specify the range of pages to print, the number of copies and some other settings.


Working with Pages

Multiple Page Documents

Zooming and Scrolling Pages

Articles

About the drawing page

Make page settings

Make page print settings

About the drawing page

The drawing page (drawing page: The page in a drawing window that contains a drawing. Each page has a size, which usually corresponds to a standard paper size, and it has a scale.) is the white page you see on the screen. For many drawing types, your drawing page is set to the same size and orientation as your printer paper. You can resize the drawing page to be as large or as small as you want.

Setting the size of the drawing page

Set the size of the drawing page in the Page Setup dialog box.

If you resize the drawing page to be larger than the paper you print it on, the drawing will be clipped and printed. You can reduce a drawing when you print it to make it fit on one page.

Drawing page settings can differ from printed page settings

Changes you make to drawing page settings are not automatically reflected in printed page settings. Before you print, make sure that settings, such as orientation, are the same for both the drawing page and the printed page. For example, if you change the orientation of the drawing page to Landscape without changing the printed page settings from the default Portrait orientation, the drawing is printed on a portrait page, as shown in the following illustration.

You can check your drawing page and printer paper settings by using the Print Preview command or by looking at the preview in the Page Setup dialog box.

Make page settings

  1. Click Page Setup on File menu

  2. Click Page Properties to Page Properties tab, you can:

    • Type the page's name.

    • Click Background to select the background color you want.

    • Click Unit to select the unit of the page.

  3. Click Page Size to Page Size tab, you can:

    • Click Seem to the print paper to make the page size same to print size.

    • Select the Pre-defined size and click to select one of 30 size settings.

    • Select the Custom size and type the width and height value.

    • Select the Page Orientation: Portrait or Landscape

Make page print settings

  1. Click Page Setup on File menu

  2. Click Print Setup, and select the option you want:

    • Click Print paper to select the size and the page orientation you want.

    • Click Zoom to select the print zoom.

    • Check the Grid line to print the grid, check the Guideline to print guide line, check the Connection points to print connection points, otherwise these will not be printed.


Multiple Page Documents

About multiple-page drawings

About navigating between pages

Navigate to a particular page

Navigate between pages in full-screen view

Enter and exit full-screen view

Create a new page

Delete a page from your drawing

Rename a page

Reorder a page

About multiple-page drawings

For some drawing projects, you might want to create a single drawing file that contains many drawing pages. For example, a drawing file could represent a construction project and have the overall floor plan on one drawing page, interior elevations on another page, and details for walls and doors on a third page. New drawing files that you open have only one drawing page, but you can add as many new pages as you want.

Each page in a multiple-page drawing can have its own page and print settings. For example, each page can have a different drawing scale and page orientation.

When you create a new drawing page, by default it inherits the size, orientation, scale, measurement unit, shadow offset, ruler, and grid settings of the page currently displayed in the drawing window. You can then change the settings for the new page.

Use multiple pages in a drawing file to:

Keep related drawings in the same file

For example, for an office expansion project, you could keep office layouts in one file and drawings of the distribution of office equipment in another.

Keep all revisions of a single drawing in one file on successive pages

Show the progression of the project from beginning to end.

Create a slide show

Present a series of drawings in a drawing and navigate between them, as in a slide show. Or save the drawing as exe format, and double click the exe file.

About navigating between pages

You can quickly navigate between pages and reorder them by using the page tabs [image] at the lower-left portion of the window. When you reorder the pages, you can also rename them to reflect the new arrangement.

Navigate to a particular page

In the lower-left portion of the window, click the page tab for the page you want to see [image].

Navigate between pages in full-screen view

  • To display the previous page, press LEFT ARROW, UP ARROW, or right-click and then click Previous Page.

  • To display the next page, press RIGHT ARROW, DOWN ARROW, or right-click and then click Next Page.

Enter and exit full-screen view

  • To enter full-screen view, on the View menu, click Full Screen. Or press F5.

  • To exit full-screen view, press ESC.

    • Or right click the page and click Close.

    Note In full-screen view, the toolbars, title bars, status bar, menus, scroll bars, and stencils are hidden, and the drawing page takes up the entire screen. The drawing page grid is turned off. Full-screen view is a view-only mode―you cannot edit or change the pages you view.

Create a new page

  1. In the lower-left of the drawing window, right-click a page tab [image], and then click Insert Page.

  2. Click the Page Properties tab, and either type a name for the page or use the default name.

  3. To change the orientation, size or print settings of the new page, click the Page Size and Print tabs.

Note A new page inherits the size, orientation, measurement unit, and grid settings of the page displayed in the drawing window.

Delete a page from your drawing

In the lower-left portion of a window, right-click the page tab of the page you want to delete [image] and then click Delete Page.

Note The last page in a file can not be deleted.

Rename a page

  1. In the lower-left of the drawing window, right-click a page tab [image], and then click Rename Page.

  2. Type the new name you want.

Reorder a page

  1. In the lower-left of the drawing window, right-click a page tab [image], and then click Reorder Page.

  2. In the Resort Pages dialog box, click the page name you want change the order.

  3. Click Up or Down to change the order.


Zooming and Scrolling Pages

Change zoom level

Zoom in / zoom out

Zoom to fit selection in window

Zoom to fit drawing in window

Zoom to fit page in window

Zoom to fit page width in window

Scrolling a page

Change zoom level

Click the down arrow next to Zoom box [image], and select percentage you want.

Also you can select the special fitting size. Read the following articles.

Zoom in / zoom out

  • To zoom in, click Zoom In button [image] on toolbar.

  • To zoom out, click Zoom Out button [image] on toolbar.

Zoom to fit selection in window

This command means fitting the selected shapes to the size of the drawing window. As following:

  1. Select the shape or multiple shapes you want.

  2. Click the Zoom to fit selection in window button [image] on toolbar.

    3. Also you can click down arrow next to Zoom box [image], and select Selected Shape.

Zoom to fit drawing in window

This command means fitting all the shapes to the size of the drawing window. As following:

To fit the drawing in window, click the Zoom to fit drawing in window button [image] on toolbar.

Also you can click down arrow next to Zoom box [image], and select All Shapes.

Zoom to fit page in window

This command means fitting the page to the size of the drawing window. As following:

To fit the page in window, click the Zoom to fit page in window button [image] on toolbar.

Also you can click down arrow next to Zoom box [image], and select Whole Page.

Zoom to fit page width in window

This command means fitting the width of the page to the width of the drawing window. As following:

To fit the page width in window, click the Zoom to fit page width in window button [image] on toolbar.

Also you can click down arrow next to Zoom box [image], and select Adopt Width.

Scrolling a page

To scroll a page, you can drag the horizontal scroll bar or vertical scroll bar, or use the Scroll Hand Tool.

  1. Click the Scroll Hand Tool [image] on toolbar.

  2. Press anywhere in drawing and drag the page as you want.


Working with Libraries

Editing libraries

Manage Your Own Libraries

Articles

About libraries

Navigate to the special library

Open a library

Close a library

Change the display of libraries

Arrange the libraries

Create your own library

Load library

Change the library name

Find shapes in a library

About libraries

EDraw supplies sets of shapes for different applications, these shapes for a special application are stored in a stencil, called library.

When you start a drawing, you should open the libraries to that drawing file. Each time you drag a shape from a library or from shape search results onto the drawing page, the shape's master (master: A shape on a library that you use repeatedly to create drawings. When you drag a shape from a library onto the drawing page, the shape becomes an instance of that master.) is copied to the document library, and an instance (instance: (1) A copy of a master, which you create by dragging the master from a library to a drawing. (2) A running image of a Windows application.) of the master is created on the drawing page. Instances inherit formatting and other properties from masters on the library or use page default formatting.

On the library pane, you can do the following:

  • Open additional library.

  • Find shapes in libraries.

  • Create your own library.

  • Arrange libraries and change the display of libraries.

  • Editing libraries

To open the library pane, on the View menu, click Library Window.

Navigate to the special library

Click the title bar [image] of the library you want.

Open a library

  1. Click Open Library [image] on the library pane.

  2. Point to the catalogue include the library you want and click the library.

    Note Click Library Window on View menu, if the library pane is not opened.

Close a library

  1. Right-click the title bar of the library you want to close.

  2. Click Close.

    3. Note Click Library Window on View menu, if the library pane is not opened.

Change the display of libraries

  1. Right-click the title bar of the library you want to change.

  2. Point to the Library Style, and select the option you want.

    3. Note Click Library Window on View menu, if the library pane is not opened.

Arrange the libraries

  1. Right-click the title bar of the library you want to arrange.

  2. Click Move Up or Move Down to change the position of the library.

    3. Note Click Library Window on View menu, if the library pane is not opened.

Create your own library

  1. Click Open Library [image] on the library pane.

  2. Click the New Library to create your own library, and edit it.

    Note Click Library Window on View menu, if the library pane is not opened.

    Read Also Editing libraries.

Load library

  1. Click Open Library [image] on the library pane.

  2. Click the Load Library to load the library you want.

    Note Click Library Window on View menu, if the library pane is not opened.

Change the library name

  1. Right-click the title bar of the library you want to rename.

  2. Click Rename Library and type the new name you want.

  3. Click anywhere except the name box.

    4. Note Click Library Window on View menu, if the library pane is not opened.


Editing Libraries

About Shape Element File (cte)

Add a new shape to library

Delete a shape from the library

Arrange the shapes in the library

Editing the shapes in the library

About Shape Element File (cte)

Shape Element File is the file format for shape element. Its suffix is cte.

you can save any shape in the drawing to cte. Right click the shape and click Save Element File.

Add a new shape to library

  1. Right click the title bar of the library you want.

    If the library is not already opened, click the Open library [image] to open the library.

  2. Click Edit.

  3. Right click the pane of the library then click Add Shape.

  4. On Add Shape dialog box, you can:

    • Type the shape's name in Name box.

    • Type the shape's description in Prompt box.

    • Select the shape's element file (element file (cte): the file contains the shape's information).

    • Select the shape's icon file (icon file: the miniature of the shape displayed in library pane).

  5. Click OK.

  6. Right click the title bar of the library you add a shape to and click Save library to save the changing.

Delete a shape from the library

  1. Right click the title bar of the library you want.

    If the library is not already opened, click the Open library [image] to open the library.

  2. Click Edit.

  3. Right click the shape you want to delete and click Delete.

  4. Right click the title bar of the library you add a shape to and click Save library to save the changing.

Arrange the shapes in the library

  1. Right click the title bar of the library you want.

    If the library is not already opened, click the Open library [image] to open the library.

  2. Click Edit.

  3. Right click the shape you want to change position.

  4. Click Move Up or Move Down to modify the position of the shape.

  5. Right click the title bar of the library you add a shape to and click Save library to save the changing.

Editing the shapes in the library

  1. Right click the title bar of the library you want.

    If the library is not already opened, click the Open library [image] to open the library.

  2. Click Edit.

  3. Right click the shape you want to edit.

  4. You can do one following:

    • Click Rename Shape to change the name of the shape.

    • Click Modify Shape to change the shape's cte file.

    • Click Cut to cut the shape.

    • Click Copy to copy the shape.

    • Click Paste to paste the shape you just copy or cut.

  5. Right click the title bar of the library you add a shape to and click Save library to save the changing.


Manage Your Own Libraries

Create your own libraries

Create your own shapes

Editing your own libraries

Create your own libraries

  1. Click Open Library [image] on the library pane.

  2. Click the New Library to create your own library, and edit it.

    Notes

    Click Library Window on View menu, if the library pane is not opened.

    You can use Load Library command to open your own library. Read also Load library.

Create your own shapes

  1. Use Drawing tools to draw the shape you want or edit the shape from library.

  2. Right click the shape and click Save Element File.

    The cte file and the miniature of the shape will be created.

  3. Add the shape to the library you want.

    4. Read also Add a new shape to library.

Editing your own libraries

  1. Open the your own library you want.

  2. Edit the library and the shapes as you want.

    3. Please read Editing libraries.


Working with Samples

About the Samples

Open a sample

Edit a sample

Add a new sample

Add your own drawing to sample library

Delete a sample

Add a new sample library

Delete a sample library

Add a new catalogue

Delete a catalogue

Rename a sample, catalogue or sample library

About the Samples

EDraw provide a set of samples to help you drawing quickly, and the samples subsystem can help you keeping and managing own good drawings.

All the samples listed in the Sample pane, you can edit, add, delete and arrange the samples, catalogue and sample library.

Open a sample

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the Sample Library and Catalogue to find the sample you want to open.

  3. Double click the sample and the sample will be opened.

Edit a sample

  1. Open the sample you want edit. Read also Open a sample.

  2. Edit the sample in the page.

  3. Click Save [image].

Add a new sample

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the Sample Library and Catalogue where you want to add a new sample to.

  3. Click New Drawing [image] on the top toolbar of the Sample pane and a new sample file will be created in current catalogue.

  4. Click the new sample file to select it, you can do:

    • Type the new sample's name.

    • Double click the sample file to open it and edit the sample.

Add your own drawing to sample library

  1. Edit your own drawing.

  2. Click Save As on the File menu, then the Save As dialog box will come up.

  3. In the Save As dialog box, find the smaples folder in the EDraw setting up direction. And then find the sample library and catalogue folder.

  4. Click Save.

Delete a sample

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the Sample Library and Catalogue to find the sample you want to delete.

  3. Click Delete [image] on the top toolbar of the Sample pane.

Add a new sample library

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the New Library [image] on the top toolbar of the Sample pane.

  3. Type the new sample library's name.

Delete a sample library

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the Sample Library you want to delete.

  3. Click Delete [image] on the top toolbar of the Sample pane.

    4. Note All the Catalogues and Samples in the sample library will be removed.

Add a new catalogue

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the Sample Library which you want to add a new catalogue to.

  3. Click New Catalogue [image] to add a new catalogue.

  4. Type the new catalogue's name.

Delete a catalogue

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the Catalogue you want to delete.

  3. Click Delete [image] on the top toolbar of the Sample pane.

    4. Note All the Samples in the catalogue will be removed.

Rename a sample, catalogue or sample library

  1. Click Sample tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not opened, on View menu, click Sample Window, or click Sample Window [image] on standard toolbar to open the style pane.

  2. Click the Sample Library, Catalogue or Sample you want to rename.

  3. Click Edit [image] on the top toolbar of the Sample pane to change the name of the select library, catalogue or sample.


Working with Shapes and Text

Finding and Adding Shapes

Operating Shapes

Moving, Rotating, Resizing and Flipping Shapes | Aligning and Distributing Shapes | Selecting a Shape or Multiple Shapes | More...

Operating Shapes Properties

Adding and Formatting Text

Adding Text | Formatting Text | Editing Text | More...

Operating Text Block

Formatting Shapes

Color Schemes | Styles | Fills, Shadows and Patterns | More...

Grouping and Copying Shapes

Connecting Shapes

About Connectors | Change the Appearances and Behavior of Connectors | Connect Shapes | More...

Drawing and Editing Shapes

Drawing Shapes | Editing Shapes


Finding and Adding Shapes

About finding shapes

Find shapes in a library

Open additional libraries

Close a library

About finding shapes

When you start a new drawing from a library in EDraw, libraries with shapes designed for that drawing type appear in the Library window next to the drawing page. If you want additional shapes, you can quickly use the Find box to search for them without opening additional libraries.

Find searches the EDraw libraries that are installed on your hard drive, as well as new shapes that you've added to custom libraries.

Find shapes in a library

  1. Open the Library window, if it's not already open.

    • On the View menu, click Library Window.

    • Or on the standard toolbar, click [image].

  2. In the Find box, type one or more words that describe the shape you want. You can separate words with spaces.

    For example, to find shapes that represent arrow, type arrow.

    • Find box lays top of the Library window.

  3. Click Shape search button or press ENTER.

    The results are added to a search results library.

  4. When you find the shape you want, drag it onto the drawing page.

Open additional libraries

  1. Click [image], the button is beside Find box.

  2. Do one of the following:

    • To open a custom library, if you've add your own library, point to your library, and then click a library.

    • To open a EDraw library, point to a category folder, and then click a library.

    • To open a new blank library to which you can add shapes, click New Library.

    • To load a library not exist in EDraw category, click Load Library.

Close a library

Right-click the library title bar, and then click Close.

Note If you made changes to any of the shapes on a custom library or added shapes to a custom library, you are prompted to save your changes.


Operating Shapes

Selecting a Shape or Multiple Shapes

Moving, Rotating, Resizing and Flipping Shapes

Aligning and Distributing Shapes

Articles

About shape coordinates

Specify a shape's coordinates

Snap shapes into position

Change a shape's position in display order

About shape coordinates

You can position shapes by visually aligning them with the grid, by measuring the distance between them on the drawing rulers, or by using x and y coordinates.

The location of a shape or group on a drawing page is described in page coordinates, which have their origin at the lower-left corner of the page. Horizontal positions are specified on the x-axis; vertical positions are specified on the y-axis. Page coordinates are displayed in ruler measurements.

A square whose center is located 1 unit up on the y axis and 1 unit to the right on the x axis.

The x and y coordinates for a shape specify the location of the shape's pin. For most shapes, such as flowchart shapes, the pin is in the center of the shape. You can change the pin for many shapes.

Specify a shape's coordinates

  1. Select a shape.

  2. On the Shape menu, click Geometry.

  3. To change the location of the shape's pin (pin: The point around which a shape or text block rotates, marked by a circle with a plus sign inside it.) (center of rotation), type the value in X Position and Y Position.

Snap shapes into position

  1. On the Tools menu, click Snap & Glue.

  2. In the Snap & Glue dialog box, select the options that you want, and then click OK.

  3. The Ruler subdivisions, Grid, and Guide lines options are useful for positioning and aligning shapes.

  4. Drag shapes into position.

  5. The snap settings you choose apply to all shapes in the drawing.

Change a shape's position in display order

Select a shape, and then do one of the following:

  • To bring the shape to the front, on the Shape menu, point to Order, and then click Bring to Front. Or click the button [image] on Align toolbar.

  • To send the shape to the back, on the Shape menu, point to Order, and then click Send to Back. Or click the button [image] on Align toolbar.

  • To bring the shape forward one level, on the Shape menu, point to Order, and then click Bring Forward. Or click the button [image] on Align toolbar.

  • To send the shape backward one level, on the Shape menu, point to Order, and then click Send Backward. Or click the button [image] on Align toolbar.

If the shape is part of a group, do the following:

  1. Click to select the group, and then click to select the shape in the group.

  2. Change the shape's position in display order as described above.


Selecting a Shape or Multiple Shapes

Select a shape

Select multiple shapes

Select shapes in a group

Unselect a shape or multiple shapes

Select a shape

  1. Move over the shape you want to select, the mouse will become cross pointer [image].

  2. Click the shape.

Notes

If the shape has been selected, once you select again, it will be unselected.

If several shapes overlapped and you click the intersectant region, the shapes will be selected in order.

Select multiple shapes

  1. Click [image] on toolbar.

  2. Click blank area in the drawing and drag to the position you want.

  3. All the shapes in the rectangle you drag will be selected.

To select the shapes you want one by one, you can:

  1. Click [image] on toolbar.

  2. Click any shape you want to select.

  3. Press CTRL, click the shapes you want one by one.

Notes

If you click the selected shape in the multiple selection, it will be unselected.

The first shape you select has the thick magenta.

Select shapes in a group

To select a group, click one of the shapes in the group. The group's rectangular border appears. Then click any shape inside the group to select that shape.

Notes

The sub shapes and group shape will be selected in order when you click the shapes in the group.

You can press CTRL to select multiple shapes in groups.

Unselect a shape or multiple shapes

  • Select the selected shape or shapes again, it or they will be unselected.

  • Click any place blank in the drawing.


Moving, Rotating, Resizing and Flipping Shapes

Move shapes

About center of rotation

Rotate shapes

Resize shapes

Flip shapes

Move shapes

Move one shape

  1. Click the Pointer tool [image] , and then point to a shape. (The pointer changes to a four-headed arrow [image].) When the shape is selected, its selection handles [image] appear.

  2. Drag the shape to where you want it.

    If snapping (snap: The ability of shapes, guides, grid lines, and other elements in the EDraw program to pull shapes and other elements into position when they are moved and sized.) is on, the shape may jump into place.

    Note Be careful not to point to a selection handle when you move a shape. If you accidentally resize a shape, immediately click Undo on the Edit menu.

Move multiple shapes

  1. Select the shapes that you want to move.

    Note To select multiple shapes, click the Pointer tool [image], and then drag a selection net (selection net: A means of selecting more than one shape at a time by dragging the Selection tool to define an area that encloses all the shapes to be selected.) around all the shapes that you want to select.

  2. Place the pointer over one of the shapes. (The pointer changes to a four-headed arrow [image] .)

    If one of the objects you're moving is a group, the pointer won't show the four-headed arrow unless it is over one of the shapes in the group.

  3. Drag the shapes to their new positions. All selected shapes move the same distance and direction from their original positions.

Move one shape by typing the X and Y position value

  1. Click a shape to select it.

  2. On the Shape menu, click Geometry.

  3. Type a value for X Position and Y Position.

Move one shape using keyboard

  1. Click a shape to select it.

  2. Press key LEFT, RIGHT, UP, DOWN to move the selected shape, shape will move one pixel distance once press.

    Note If you press SHIFT at the same time, the shape will move four pixel distance one press.

    And you also can select more than one shape, and use keyboard to move them.

Tip

When you move shapes, you can press CONTROL to copy the selected shapes.

About center of rotation

When you select a shape and position the pointer over the rotation handle, a plus sign in a circle appears at the center of rotation [image]. You can move the center of rotation, called the pin [image] (pin: The point around which a shape or text block rotates, marked by a circle with a plus sign inside it.). As you move the pointer over a rotation handle, it changes to a round arrow [image] to indicate that you can rotate the shape.

When you select a shape and position the pointer over the rotation handle, a pin (center of rotation) appears in the center.

Rotate shapes

Rotate a shape 90 degrees

  1. Select a shape.

  2. Do one of the following:

    • To rotate the shape counterclockwise, on the Shape menu, point to Rotate or Flip, and then click Rotate Left.

    • To rotate the shape clockwise, on the Shape menu, point to Rotate or Flip, and then click Rotate Right.

    You also can use Align Toolbar

Rotate a shape using the rotation handle

  1. Select a shape.

  2. Drag a rotation handle [image].

    The shape rotates around the pin [image]. To move the pin, position the pointer over the rotation handle, and then move the pointer over the pin and drag it to a new location.

    Note You can also rotate shapes in a multiple selection. When you select the shapes, a single rotation handle appears for the entire selection. When you rotate the selection, all of the shapes rotate as a whole.

Rotate a shape by typing an angle

  1. Click a shape to select it.

  2. On the Shape menu, click Geometry.

  3. Type a value for Angle.

Rotate one shape using keyboard

  1. Click a shape to select it.

  2. Hold SHIFT and CTRL at the same time, press LEFT or RIGHT to rotate the selected shape left or right, shape will rotate one degree once press.

    Note You can select more than one shape, and use keyboard to rotate them.

Tip

As you rotate shape, the angle of single dragging depend on the distance of the mouse point and the shape pin, the distance is larger the angle is littler.

The angle of single dragging may be 15 degree, 10 degree, 5 degree, 1 degree, 0.1 degree.

So if you want rotate shape to a precise angle, you should drag the mouse enough distant from shape's pin.

large distance, little angle [image] shorter distance, bigger angle

Resize shapes

Resize one shape

  1. Select a shape.

  2. Do one of the following:

    • If the shape has selection handles [image] , drag a selection handle until the shape is the size you want. To resize the shape proportionally, drag a corner handle.

    • If the shape has endpoints [image] [image], drag an endpoint to the length you want.

    Note Handles that are gray boxes indicate the shape is locked and cannot be resized, if you want to size it, you can modify the protection of the shape via right click menu Protection.

Resize one shape by typing the width and height value

  1. Click a shape to select it.

  2. On the Shape menu, click Geometry.

  3. Type a value for Width and Height.

Tip

If you see fewer than eight handles on a shape, zoom in on the drawing to see the other handles and to size the shape more accurately.

When you resizing selected shapes, i f you hold SHIFT, the selected shapes will be resized keeping the width and height ratio unchanged.

When you resizing selected shapes, if you hold CTRL , the selected shapes will be resized referencing center point.

Flip shapes

  1. Select a shape.

  2. On the Shape menu, point to Rotate or Flip, and then click Flip Vertical or Flip Horizontal.

    Also you can use Flip Toolbar [image].

    Note You can also flip shapes in a multiple selection. When you flip the selection, all of the shapes flip as a whole.


Aligning and Distributing Shapes

About align and distribute shapes

Align shapes to a primary shape

Make shapes same size or angle to the primary shape

Distribute shapes

Move shapes center of the page

Auto-align shape to other shapes

About align and distribute shapes

The align box is the minimal bounding box of the shape.

Note Align and distribute command may be ineffective for connector shapes, which is selected, its selection handles [image] [image] appear.

Align shapes to a primary shape

  1. Select the shape to which you want to align other shapes, and then press CTRL and click the shapes you want to align to it.

    The primary shape has a thick magenta outline, you can press TAB to switch the primary shape.

  2. On the Shape menu, click Align.

    You also can use Align Toolbar

    3. .

  3. Click the alignment options you want.

Make shapes same size or angle to the primary shape

  1. Select three or more shapes.

    The primary shape has a thick magenta outline, you can press TAB to switch the primary shape.

  2. On the Shape menu, point to Make Same, you can:

    • Click Same Width on the pop menu to make the shapes' width same with the primary one.

    • Click Same Height on the pop menu to make the shapes' height same with the primary one.

    • Click Same Size on the pop menu to make the shapes' width and height same with the primary one.

    • Click Same Angle on the pop menu to make the shapes' angle same with the primary one.

Also you can click the buttons [image] on Align toolbar.

Note These commands will not effect on connectors.

Distribute shapes

  1. Select three or more shapes.

  2. On the Shape menu, click Distribute.

    You also can use Distribute Toolbar [image].

  3. Choose a distribution option.

    • For Vertical distribution, the boundaries are defined by the top and bottom shapes in the selection.

    • For Horizontal distribution, the boundaries are defined by the leftmost and rightmost shapes in the selection.

Move shapes center of the page

  1. Select one or more shapes

  2. Do one of following:

    • Click Center Drawing on the Shape menu, the selected shapes will move to the center of the page.

    • Click Center Page Vertically [image] to move the selected shapes to vertical center of the page.

    • Click Center Page Horizontally [image] to move the selected shapes to horizontal center of the page.

Auto-align shape ot other shapes

When you move shape, shape will be automatically snapped into the position has the same X coordinate or same Y coordinate with the other shape on the drawing page, if the shapes' X distance or Y distance is enough small.

Note This is ineffective for connector shapes too.


Operating Shapes Properties

About shapes properties

Add or delete shape properties

Editing shapes properties

About shapes properties

Properties are a collection of data that can be associated with shapes in your drawing or master shapes on a custom stencil,

you can add, edit or delete them.

There are six kinds of type of properties listed as following:

  • Number

  • String

  • Date

  • Duration

  • Currency

  • Bool

  • List

  • Dynamic List

Add or delete shape properties

  1. Select a shape.

  2. Right click the shape and click the Custom Properties item on popup menu.

  3. The Custom properties Dialog will appeared.

    If there are no shape data, it will ask you whether want to define shape data, click Yes.

  4. On the dialog, click new to add new data or click delete to delete an exist data.

Editing shapes properties

  1. Select a shape.

  2. Right click the shape and click the Custom Properties item on popup menu.

  3. The Custom properties Dialog will appeared.

    If there are no shape data, it will ask you whether want to define shape data, click Yes.

  4. On the dialog, you can do one of following:

    Enter the property name in name box.

    Click the type drop down list to select property type.

    Enter or change the format of the property.

    Enter the value of the property.

    Enter the prompt of the property.


Adding and Formatting Text

Adding Text

Formatting Text

Editing Text

Copying Text

Move, Rotate and Resize Text Block


Adding Text

Create a text-only shape

Type text in a shape

Create a text-only shape

  1. Click the Text tool [image] on the Standard toolbar.

  2. Click anywhere on the drawing page and drag until the text block is the size you want.

  3. Type the text.

    When you start typing, EDraw creates a text-only shape.

  4. When you finish typing, click outside the text block (text block: The text area associated with a shape that appears when you click the shape with the text tool or select it with the pointer tool.).

Note To delete a text-only shape, use the Selection tool [image] to select the shape, and then press DELETE.

Type text in a shape

  1. Select the shape, and then type the text.

  2. When you finish typing, click outside the text block (text block: The text area associated with a shape that appears when you click the shape with the text tool or select it with the pointer tool.).

Tip

To type text in a shape, you can also:

  • Double-click the shape, and then type the text.

  • Select the shape and click the Text tool [image] on the standard toolbar.

If you want to edit the text block which inside the group shapes, you can click the Text tool [image] , this may be helpful to select which text block you want.

Note For straight line and connect line, there are three text block at the begin, middle and end of the line.

And there may be more than one text block in one shape, when you double click the shape to type the text, the nearest text block from double click point will be selected.


Formatting Text

Setting text align style

Setting text color

Setting text font

Setting multiple formatting in a text

Setting text align style

  1. Select a shape or text block with the text you want to set.

  2. On the Formatting toolbar, you can:

    • Click Align Left [image] to make the text align left.

    • Click Align Horizontal Center [image] to make the text align horizontal center.

    • Click Align Right [image] to make the text align right.

    • Click Align Top [image] to make the text align top.

    • Click Align Vertical Center [image] to make the text align vertical center.

    • Click Align Bottom [image] to make the text align bottom.

Setting text color

  1. Select a shape or text block with the text you want to set. Or select a part of the text you want.

  2. Click the Font Color [image] and select the color you want.

Setting text font

  1. Select a shape or text block with the text you want to set. Or select a part of the text you want.

  2. On the Formatting toolbar, you can:

    • Select the font of the text.

    • Select the font size.

    • Set the text special style: Bold, Italic and Underline.

Setting multiple formatting in a text

You can set the different formatting to different part of the selected text.


Editing Texts

Editing a text

Editing a text in a group

Editing a text

To edit a text, you can:

  • Double click the shape with the text you want to edit.

  • Select the shape with the text, and click Text tool [image].

  • Select the shape with the text, and type the text directly.

Editing a text in a group

To edit a text in a group, you should select the sub shape with the text you want edit, then type the text directly or click Text tool [image].

The easiest way is using text tool: click Text tool [image], then click the sub shape in the group.


Copying Text

Copying text in EDraw

Copying text from other program

Copying text in EDraw

To copy the text:

  1. Double click the shape with the text, make sure the text in editing state. Other ways read Editing Text.

  2. Select the text you want, press CTRL and C at the same time or click Copy from Edit menu.

  3. Then you can:

    • Double click the shape you want to paste to, make the destination shape in editing state and press CTRL and V at the same time or click Paste from Edit menu.

    • Press CTRL and V at same time or click Paste from Edit menu directly, then a new text block will be created with the copied text.

Copying text from other program

You can copy text from other program, such as Microsoft Word.

Then you can:

  • Double click the shape you want to paste to, make the destination shape in editing state and press CTRL and V at the same time or click Paste from Edit menu.

  • Press CTRL and V at same time or click Paste from Edit menu directly, then a new text block will be created with the copied text.

    • Note You also can copy the text to the other program and the text formatting will be kept.


Operating Text Block

  1. Click the Text Block tool [image].

  2. Click the shape to select its text block (text block: The text area associated with a shape that appears when you click the shape with the text tool or select it with the pointer tool.).

    Note If the text is in a group, click to select the group, and then click to select the text in the shape.

  3. Do one of the following:

    • To rotate the shape's text block, drag the rotation handle [image].

      • When the pointer is over a rotation handle (rotation handle: The round handle that appears at the top of a 2-D shape's or text block's selection rectangle when you select the shape or text block using the Pointer tool or select a text block using the Text Block tool.), it changes to an arrow that forms a circle [image] . As you drag, the pointer changes to four arrows that form a circle [image] .

    • To move the shape's text block, drag the four direction arrow with pointer [image] that appears when the pointer is over the text in the text block.

      • The text block remains part of the shape, so you can move the text block completely outside the shape's borders and still move, rotate, and resize it with the shape without changing its new position relative to the shape.

    • To resize the shape's text block, drag a selection handle [image] until the text block is the width or height you want.

    • To delete the shape's text block, just press DEL.

    Note Flip command is ineffective for text block.

Tip

If a shape has a control handle [image] , you can use the Pointer tool [image] to easily reposition its text.


Grouping and Copying Shapes

About grouped shapes

Group/Ungroup shapes

Select shapes in a group

Copy a shape

About grouped shapes

You can group shapes so that they function as a unit. It's useful to group shapes if you regularly use them together. For example, if you create a logo for your company that is composed of several separate shapes, grouping the shapes lets you treat them as one shape and add that grouped shape to other drawings. You can group any combination of EDraw shapes, shapes you draw yourself, other groups, and objects from other programs.

Some EDraw shapes such as this tablet computer are already groups―sets of shapes grouped to form a single shape.

You can manipulate entire groups or individual shapes within groups. (Manipulating includes resizing, formatting, moving, rotating, flipping, grouping, deleting and copying.)

Group/Ungroup shapes

  1. Select the shapes you want to group.

  2. On the Shape menu, point to Group, and then click Group.

  3. To ungroup shapes, select the group. On the Shape menu, point to Group, and then click Ungroup.

Select shapes in a group

To select a group, click one of the shapes in the group. The group's rectangular border appears. Then click any shape inside the group to select that shape.

Notes

The sub shapes and group shape will be selected in order when you click the shapes in the group.

You can press CTRL to select multiple shapes in groups.

Read also Selecting a Shape or Multiple Shapes.

Copy a shape

  1. Select the shape you want to copy.

  2. Do one of the following:

    • To create an offset copy of the shape, on the Edit menu, click Copy.

    • To copy a shape to a specific location on the page, hold down the CTRL key while you drag to where you want the copy.

    • To copy a shape to another page in your drawing, active the page you want to copy to and click Paste on Edit menu.


Formatting Shapes

Shape Colors

Color Schemes

Fills, Shadows and Patterns

Lines and Line Ends

Transparency

Styles

Change formatting of the shapes on the locked layer

Articles

About line formatting

About shape formatting

About Style

Format shapes

Copy formatting from one shape to another

Change the default formatting for shapes you draw

About line formatting

In EDraw, a line can be an open straight line, a freeform line or arc, or a border around a closed shape, such as a rectangle.

You can format lines by clicking Line on the Shape menu and selecting the options you want, also can use Line Color [image] on Format toolbar to set lines' color and fills.

Ways to format lines and arcs:

  • Add a pattern or color.

  • Add a fill mode.

  • Change the line weight.

  • Change the line cap.

  • Add or remove line ends to turn any line or other open shape into an arrow.

  • Add a shadow.

  • Change the transparency of the line or of its shadow.

  • Format the shape's text.

About shape formatting

You can format shapes in your EDraw drawing by changing any or all of their attributes, such as line weight and pattern, fill color and pattern, and text formatting. For example, you might use fill color to make a drawing for a slide presentation more effective, or you might use line patterns to represent specific types of connections between shapes.

The type of formatting you can apply to a shape depends on whether the shape is open (open shape: A shape such as a line, arc, or zigzag. You can format an open shape with line patterns and ends, such as by changing a solid line to a dashed line and adding an arrow to one end.) or closed (closed shape: A shape that is surrounded by a continuous outline, such as a rectangle or circle. You can fill a closed shape with a color or a pattern.). For example:

  • You can add fill to closed shapes, such as circles or rectangles, but not to open shapes.

  • You can add line ends to open shapes, such as arcs or zigzag lines, but not to closed shapes.

Open shape formatting

For open shapes, such as arcs, you can change:

  • Line ends.

  • Line fill, pattern, cap, weight, color, and transparency.

  • Shadow, color, and transparency.

Closed shape formatting

For closed shapes, such as rectangles, you can change:

  • Line fill, pattern, weight, color, and transparency.

  • Fill color, pattern, and transparency.

  • Shadow fill, color, pattern, and transparency.

Shape formatting for multiple shapes

You can format several shapes at once by doing one of the following:

  • Selecting multiple shapes at the same time.

  • Selecting shapes in a group (group: A shape composed of two or more shapes. You can move or size groups as a unit but group members retain their original appearance and properties.).

About Style

In EDraw shape formatting is also called shape style, shape style include follow setting:

  • Line fill, pattern, cap, weight, color, and transparency.

  • Fill color, pattern, and transparency.

  • Shadow fill, color, pattern, and transparency.

Note Style does not include Text formatting.

Style is the best way to format shapes, just one click, a couple of new format settings will be applied on the shapes selected. You can modify the style to change the shapes' formatting or the default formatting, also can create your own styles or keeping the style you like permanently. Styles are listed in two tables:

  • Styles in use The list of the different styles used in the page including the default style for the new shapes.

  • Predefined Style EDraw provide many beautiful and applied styles, which help you formatting shapes quickly. Also you can modify the predefined style or create own style.

Notes

One style may be used by more than one shapes, a style will be deleted automatically if no shape use it.

One shape may used more than one styles.

Some shapes in library have default styles applied, when you drag them to the page, the styles will be add to Styles in use, you can modify them.

Format shapes

  1. Select the shape or shapes you want to format.

    If the shapes are part of a group, select one or more shapes in the group.

  2. On the Shape menu, click Text, Line, Fill & Shadow.

  3. Select the formatting options you want.

Copy formatting from one shape to another

  1. Select the shape whose formatting you want to copy.

  2. Click Format Painter [image].

  3. Do one of following:

    • To format a single shape, click the shape which you want to format.

    • To format multiple shapes, select all the shapes you want to format at the same time.

    Note You can also use Style in use to copy formatting from one shape to another.

    • Select the shape which you want to format.

    • Find the style which you want to copy to the shape in the Style in use, click it.

Change the default formatting for shapes you draw

  1. Make sure that no shapes are selected.

  2. On the Shape menu, click Text, Line, Fill & Shadow.

  3. Select the formatting options you want.

    Note You can also use Style in use to change the default formatting.

    • Click the down arrow next the first style in Style in use.

    • Click Modify the style.

    • Select the formatting options you want.

When you drag one shape from library or draw a new shape by using one of the following drawing or text tools, the new default formatting is applied to the shape:

  • Text tool

  • Text Block tool

  • Rectangle tool

  • Ellipse tool

  • Line tool

  • Arc tool

  • Sector tool

  • Curve tool

  • Freehand tool


Shape Colors

About shape colors

Change text color

Change line color

Change fill color

Change shadow color

About shape colors

You can apply colors to shapes to make your drawing more useful or attractive. You can choose from one of the colors in the color palettes supplied by EDraw, or you can define your own colors. Colors can be opaque or transparent. You can also apply standard or custom color schemes to your drawings.

Opaque colors and transparency

All colors, including white, are opaque both in print and on the screen. For example, if you apply a solid white color to a rectangle, you cannot see what is underneath the rectangle.

Most shapes are constructed from a combination of lines, fills, shadows, or text, and for a selected shape or shapes, you can set the transparency of these elements individually (in the Text, Line, Fill & Shadow dialog boxes, accessible from the Shape menu) or all at once (in the Transparency dialog box, accessible from the Transparency drop-down list on the Format Shapes toolbar.)

Note If you want to make some text or a line, fill, or shadow fully transparent so that another shape shows through it, set the transparency to 100%.

Color schemes

You can apply a collection of text, line, fill, and shadow styles to your drawing that are all based on a particular scheme of colors. When you apply a color scheme, all the shapes in the drawing are formatted at once.

Note When a color schemes is applied to the drawing, all the shapes in the drawing will be formatted, but the new shapes added to the drawing after using color schemes will still use the page default style and colors.

You can create your own color scheme. For example, you can create a color scheme that matches your company's logo colors. You also can edit, delete and load a color scheme.

Read also Color Schemes.

Change text color

  1. Select the shape with the text you want to modify.

  2. Click Text Color [image] on Format toolbar.

  3. Do one of following:

    • Select a color from the color palette.

    • Click More Text Colors to select new color you want.

Also, you can use Text dialog box to change a text color.

  1. Select the shape with the text you want to modify.

  2. On Shape menu, click Text.

  3. In the Text dialog box, click Color, then select new color you want.

Change line color

  1. Select the shape you want to modify.

  2. Click Line Color [image] on Format toolbar.

  3. Select colors you want according to the line fill pattern.

Also, you can use Line dialog box to change a text color.

  1. Select the shape you want to modify.

  2. On Shape menu, click Line.

  3. In the Line dialog box, click Color to select the colors according line's fill pattern.

Read also Lines and Line Ends.

Change fill color

  1. Select the shape you want to modify.

  2. Click Fill Color [image] on Format toolbar.

  3. Select colors you want according to the fill pattern.

Also, you can use Fill & Shadow dialog box to change a text color.

  1. Select the shape you want to modify.

  2. On Shape menu, click Fill & Shadow.

  3. In the Fill & Shadow dialog box, click Pattern to select the colors according fill pattern.

Read also Fills, Shadows and Patterns.

Change shadow color

  1. Select the shape you want to modify.

  2. On Shape menu, click Fill & Shadow.

  3. In the Fill & Shadow dialog box, click Pattern to select the colors according fill pattern.

Read also Fills, Shadows and Patterns.


Color Schemes

About color schemes

Apply a color scheme

Create a color scheme

Edit a color scheme

Delete a color scheme

Load color scheme from a shape

About color schemes

A color scheme determines the set of colors used in your document. It include seven colors:

  • Fill foreground color

  • Fill background color

  • Line foreground color

  • Line background color

  • Shadow foreground color

  • Shadow background color

  • Text color

You can apply a collection of text, line, fill, and shadow styles to your drawing that are all based on a particular scheme of colors. When you apply a color scheme, all the shapes in the drawing are formatted at once.

Note When a color schemes is applied to the drawing, all the shapes in the drawing will be formatted, but the new shapes added to the drawing after using color schemes will still use the page default style and colors.

You can create your own color scheme. For example, you can create a color scheme that matches your company's logo colors. You also can edit, delete and load a color scheme.

Apply a color scheme

  1. Click Style [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Color Schemes tag [image] on the style pane to switch to the Color Schemes table.

  3. Point to the color schemes you want to apply

  4. Do one of following:

    • Click the color bar [image].

    • Click the down arrow next to the color bar, on the pop menu , click Apply Color Scheme.

Create a color scheme

  1. Click Style [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Color Schemes tag [image] on the style pane to switch to the Color Schemes table.

  3. Click Create new color scheme [image] on the bottom of the Color Scheme table.

  4. Select the colors you want on the Create New Color Scheme window.

  5. Click OK.

Edit a color scheme

  1. Click Style [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Color Schemes tag [image] on the style pane to switch to the Color Schemes table.

  3. Point to the color schemes you want to edit.

  4. Click the down arrow next to the color bar, on the pop menu , click Edit Color Scheme.

  5. Select the new colors you want on the Create New Color Scheme window.

  6. Click OK.

Delete a color scheme

  1. Click Style [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Color Schemes tag [image] on the style pane to switch to the Color Schemes table.

  3. Point to the color schemes you want to delete.

  4. Click the down arrow next to the color bar, on the pop menu , click Delete Color Scheme.

Load color scheme from a shape

  1. Select the shape whose colors you want to save to color scheme.

  2. Click Style [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  3. Click Color Schemes tag [image] on the style pane to switch to the Color Schemes table.

  4. Point to the color schemes you want to edit.

  5. Click the down arrow next to the color bar, on the pop menu , click Load Shape Color Scheme.

Note Load Shape Color Scheme command will change the selected color scheme to the selected shape's color scheme, and you can't revert the old color scheme. If you want to keep the shape color scheme without changing the old color scheme, you should create a color scheme firstly, then load the shape's color scheme to the new color scheme.


Fills, Shadows and Patterns

About fill and shadow patterns

Apply a fill to a shape

Apply a shadow to a shape

About fill and shadow patterns

EDraw includes five fill and shadow patterns: no fill, solid fill (one-color pattern), gradient fill, pattern fill, texture fill. And gradient fill includes single-color gradient; double-colors gradient and custom define gradient.

EDraw provide 28 gradient styles, 53 patterns, 48 predefined textures and 11 predefined shadow styles.

Apply a fill to a shape

  1. Select a shape or multiple shapes.

  2. On the Shape menu, click Fill & Shadow, and then click Pattern on the Formatting shapes dialog box. Or you can click Fill Color [image] on Format toolbar.

  3. Select one of the six available fill styles: No Fill, Solid Fill (More Lines Color), Gradient Fill, Pattern Fill, Texture Fill and Picture Fill.

    • No Fill

      The shape can be see through totally.

    • Solid Fill

      Select one color you want from the 60 predefined colors, or click More Colors and in Color dialog box select the color you want or mix the color in Custom box.

    • Gradient Fill

      In Gradient table on the Fill Effect dialog box, select the option you want:

      Single color Select one of 60 predefined colors, or click More Colors and in Color dialog box select the color you want or mix the color in Custom box. And set the Lightness slider to the percentage of lightness you want.

      Double color Select the foreground color and background color in the color box.

      Custom define Select the one of 60 predefined gradient styles.

      Style Select one of the 28 gradient patterns.

    • Pattern Fill

      Select one of the 53 patterns. And select the foreground color and background color you want in the color box.

    • Texture Fill

      Click the Texture in Fill Effect dialog box, if the texture box is not shown.

      Select one of the 48 texture images, or click Other Images to load the image you want to fill the line.

    • Picture Fill

      In Open File dialog, select the image you want.

  4. Click OK.

    5. Note In the Preview box, you can see how the options you selected will look.

Apply a shadow to a shape

  1. Select a shape or multiple shapes.

  2. On the Shape menu, click Fill & Shadow.

  3. In Shadow table select the options you want:

    • Pattern

      Click Pattern to select the fill pattern for shadow, the operation process is the same with Apply a shadow to a shape.

    • Style

      Select one of 11 shadow styles.

    • Transparency Set the Transparency slider to the percentage of transparency you want. You can vary the percentage of transparency from 0 (fully opaque, the default) to 100% (fully transparent).

    • X Offset & Y Offset

      X Offset and Y Offset is the offset of the shadow to the shape. You can type the value in the X Offset and Y Offset or click buttons [image] to adjust the offset size.

      Note Select the shadow style firstly if the X Offset and Y Offset is not available.

    • Magnification

      Magnification indicate the ratio of the shape size and shadow size. Set the Magnification slider to the ratio you want.

    • Angle

      Only the shadow style you select is between 7 and 11, the Angle is available, you can type the value or drag the diamond on the circle [image] to the position you want.

  4. Click OK.

    5. Note In the Preview box, you can see how the options you selected will look.


Lines and Line Ends

Change formatting for a line in EDraw

Set the default formatting for drawing lines

Set line fills

Change formatting for a line in EDraw

  1. Select a shape or multiple shapes.

  2. On the Shape menu, click Line, and then select the options you want:

    • Patterns Select one of the 23 available line patterns; including solid, dotted, dashed, and various mixed patterns.

    • Weight Select one of the six available line thicknesses, or click More Line Weights and in the Custom Line Weight box, enter the custom line weight in points. For example, enter 12 pt. for a line thickness of a quarter inch. (A point is a traditional measure used by typesetters and is equal to 1/72 of an inch.)

    • Cap Select one of the four available options for the end of a line: Round, Triangle, Square, Flat. Line caps are obvious only on lines with a thick line weight.

    • Ends (Begin and End) Select one of the 47 available ways to draw the ends of lines; including arrow heads, slashes, and boxes. You can add line ends to the beginning point, ending point, or both.

      Note The distinction between line caps and line ends is that line caps are the way the ends of the line are rendered, where line ends are additional lines added to the shape.

    • Ends' size (Begin size and End size) Select one of the seven available size, or click Custom Size and in Custom Arrow Size box, enter the custom arrow size. For example, enter 12.Default size is medium.

    • Transparency Set the Transparency slider to the percentage of transparency you want. You can vary the percentage of transparency from 0 (fully opaque, the default) to 100% (fully transparent).

    • Fills Click Color to select one of the five available line fill mode: No Line, Solid Line (More Lines Color), Gradient Line, Pattern Line and Texture Line.

      Read Also Set line fills

    • Color Click Color to select the colors you want according to the line fill mode.

  3. Click OK.

Notes

  • In the Preview box, you can see how the options you selected will look.

  • To set line formatting before you start drawing lines, make sure that nothing is selected in your drawing, and then open the Formatting shapes dialog box from the Shape menu. The options you select will apply to every new line you create. When you close and reopen EDraw again, the line formatting reverts to the default settings.

  • If the line is part of a shape that is protected against selection or formatting changes, is on a locked layer, or is in a drawing that has Style Lock enabled, you must remove the protection before making changes. See the help topics: Prevent or allow changes to shapes, Change formatting of the shapes on the locked layer.

  • Line Ends and Cap will not be applied to the closed shapes (closed shape: A shape that is surrounded by a continuous outline, such as a rectangle or circle. You can fill a closed shape with a color or a pattern.).

Set the default formatting for drawing lines

  1. Click in any blank area of the page to make sure that nothing is selected.

  2. Repeat the procedures described in Change formatting for a line in EDraw.

    When you drag a new shape from library or draw a new shape by using one of the following drawing tools, the new default formatting is applied to the shape:

    • Text tool

    • Text Block tool

    • Rectangle tool

    • Ellipse tool

    • Line tool

    • Arc tool

    • Sector tool

    • Curve tool

    • Freehand tool

Notes

  • In the Preview box, you can see how the options you selected will look.

  • When you close and reopen EDraw again, the line formatting reverts to the default settings.

  • You can also change the default line formatting via use Style Pane. Read Also Change the page default style

Set line fills

  1. Select a shape or multiple shapes.

  2. On the Shape menu, click Line, and then click Color on the Formatting shapes dialog box. Or you can click Line Color [image] on Format toolbar.

  3. Select one of the five available line fill mode: No Line, Solid Line (More Lines Color), Gradient Line, Pattern Line and Texture Line.

    • No Line

      The line of shape will be in visible.

    • Solid Line

      Select one color you want from the 60 predefined colors, or click More Colors and in Color dialog box select the color you want or mix the color in Custom box.

    • Gradient Line

      In Gradient table on the Fill Effect dialog box, select the option you want:

      Single color Select one of 60 predefined colors, or click More Colors and in Color dialog box select the color you want or mix the color in Custom box. And set the Lightness slider to the percentage of lightness you want.

      Double color Select the foreground color and background color in the color box.

      Custom define Select the one of 60 predefined gradient schemes.

      Style Select one of the 28 gradient style.

    • Pattern Line

      Select one of the 53 fill patterns. And select the foreground color and background color you want in the color box.

    • Texture Line

      Click the Texture in Fill Effect dialog box, if the texture box is not shown.

      Select one of the 48 texture images, or click Other Images to load the image you want to fill the line.

  4. Click OK.


Transparency

About transparency

Apply transparency to a shadow

Apply transparency to a shape

About transparency

In EDraw, you can make shapes, lines, fills, and shadows transparent so that you can see through them. You can vary the percentage of transparency of EDraw objects from 0 (fully opaque, the default) to 100% (fully transparent).

You can do this most easily in the Formatting shapes dialog box, which you open by clicking the Fill & Shadow on the Shape menu.

Note By setting the transparency of all aspects of shapes (text block, lines, fills, and shadows) to 100%, you can make both open and closed shapes completely transparent.

Apply transparency to a shadow

  1. Select the shape or shapes whose shadows you want to make transparent.

  2. On the Shape menu, click Fill & Shadow. Or right click the shape, on the pop menu, click Fill & shadow.

  3. In Shadow table, set the Transparency slider to the percentage of transparency you want, and click OK.

Apply transparency to a shape

  1. Select the shape or shapes you want to make transparent.

  2. On the Shape menu, click Fill & Shadow. Or right click the shape, on the pop menu, click Fill & shadow.

  3. In the Fill table, set the Transparency slider to the percentage of transparency you want.


Styles

About style

About default style

Apply a style to shape

Edit a style

Change the page default style

Set the style as page default style

Create a new style

Select all the shapes with the style

About style

In EDraw shape formatting is also called shape style, shape style include follow setting:

  • Line fill, pattern, cap, weight, color, and transparency.

  • Fill color, pattern, and transparency.

  • Shadow fill, color, pattern, and transparency.

Note Style does not include Text formatting.

Style is the best way to format shapes, just one click, a couple of new format settings will be applied on the shapes selected. You can modify the style to change the shapes' formatting or the default formatting, also can create your own styles or keeping the style you like permanently. Styles are listed in two tables:

  • Style in use The list of the different styles used in the page including the default style for the new shapes.

  • Predefined Style EDraw provide many beautiful and applied styles, which help you formatting shapes quickly. Also you can modify the predefined style or create own style.

Notes

One style may be used by more than one shapes, a style will be deleted automatically if no shape use it.

One shape may used more than one styles.

Some shapes in library have default styles applied, when you drag them to the page, the styles will be add to Style in use, you can modify them.

About default style

In EDraw, for a page there is a set of shape formatting that will be applied to the shapes supporting default style when they are added to the page. The most shapes in library or drew by one of the following drawing or text tools support default style:

  • Text tool

  • Text Block tool

  • Rectangle tool

  • Ellipse tool

  • Line tool

  • Arc tool

  • Sector tool

  • Curve tool

  • Freehand tool

Also read Change the page default style, Change the default formatting for shapes you draw .

Apply a style to shape

  1. Select a shape or multiple shapes you want to apply a new style.

  2. Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  3. Click Style tag [image] on the style pane to switch to the Style table.

  4. Do one of following:

    • Click Show style and select Styles in use to apply a Style used to selected shape.

    • Click Show style and select Predefined Styles to apply a predefined style to selected shape.

  5. Point to the style you want apply.

  6. Do one following:

    • Click the style bar [image].

    • Click the down arrow next the style bar, on the pop menu, click Apply Style to Match Selection.

Edit a style

  1. Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Style tag [image] on the style pane to switch to the Style table.

  3. Do one of following:

    • Click Show style and select Styles in use to edit a Style used.

    • Click Show style and select Predefined Styles to edit a predefined style.

  4. Point to the style you want edit.

  5. Click the down arrow next the style bar, on the pop menu, click Edit the Style.

  6. In the Formatting shapes window, select the options you want.

  7. Click OK.

Notes

Once the style in use is changed, the shapes which the style applied to will be formatted.

Once the predefined style is changed, it will never be recovered.

Change the page default style

  1. Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Style tag [image] on the style pane to switch to the Style table.

  3. Click Show style and select Styles in use.

  4. Point to the first style in the style list.

  5. Click the down arrow next the style bar, on the pop menu, click Edit the Style.

  6. In the Formatting shapes window, select the options you want.

  7. Click OK.

Note Once the default style is changed, the new default style will be applied to all the new shapes you drag from library or draw with drawing tool.

Also read Change the default formatting for shapes you draw .

Set the style as page default style

  1. Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Style tag [image] on the style pane to switch to the Style table.

  3. Do one of following:

    • Click Show style and select Styles in use to display the styles in use.

    • Click Show style and select Predefined Styles to display the predefined styles.

  4. Point to the style you want.

  5. Click the down arrow next the style bar, on the pop menu, click Set As the Page Default Style.

Create a new style

  1. Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Style tag [image] on the style pane to switch to the Style table.

  3. Do one of following:

    • Click Show style and select Styles in use to create a style applied to the shapes in drawing.

    • Click Show style and select Predefined Styles to create a style, which will be kept permanently.

  4. Click Create new style [image].

  5. In Formatting shapes window, select the options you want.

  6. Click OK.

Select all the shapes with the style

  1. Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Style tag [image] on the style pane to switch to the Style table.

  3. Do one of following:

    • Click Show style and select Styles in use to display the styles in use.

    • Click Show style and select Predefined Styles to display the predefined styles.

  4. Point to the style you want.

  5. Click the down arrow next the style bar, on the pop menu, click Select All the Shapes with the Style.


Change formatting of the shapes on the locked layer

To change the formatting of the shapes you can't select or on the locked layer, the only way is change the style of the shape in the Style in use box in Style pane.

  1. Click Style tab [image] at the bottom of the left docking pane to show the style pane, if the style pane has been opened.

    If not, on View menu, click Style Window, or click Style Window [image] on standard toolbar to open the style pane.

  2. Click Style tag [image] on the style pane to switch to the Style table.

  3. Click Show style and select Styles in use.

  4. Select the styles applied to the shape you want to format.

  5. Click the down arrow next the style bar, on the pop menu, click Edit the Style.

  6. In the Formatting shapes window, select the options you want.

  7. Click OK.

The most common example is the background of the page, you can select the background, but you can change the background style in Style pane.


Connecting Shapes

About Connectors

Change the Appearances and Behavior of Connectors

About Connection Points

Working with Connection Points

Connect Shapes

Working with Connectors


About Connectors

Connector anatomy

Dynamic connectors versus straight connectors

Built-in connectors

Connections are used in many types of EDraw drawings. You create connections by attaching, or gluing (glue: A property of shapes that causes them to stay connected even when one of the shapes is moved. When you attach a connector to a shape, you glue the connector.), one-dimensional (one-dimensional shape: Either a straight line you draw using EDraw drawing tools or a shape that has a beginning point and ending point and can be glued between two shapes to connect them.) shapes called connectors (connector: Any one-dimensional shape that can be glued between two shapes in a drawing to connect the shapes.) to two-dimensional (two-dimensional shape: A shape that has four selection handles that you can use to resize the shape proportionally.) shapes.

EDraw connectors stay glued when you move the shapes they're attached to. For example, when you move a flowchart shape that is connected to another shape, the connector adjusts to keep the two shapes connected. The type of connector you use and the type of connection, or glue, you use determine how the connection behaves.

Connectors show the relationships between shapes in a drawing. For example, in an organization chart, a manager shape has a connector between it and the shapes representing the manager's direct reports.

The easiest way to create a connection between two shapes is to draw it using the Connector tool [image]. You can also use the connector shapes found in many EDraw library. Connector shapes in library are often tailored to specific drawing types associated with those library. Some connector shapes don't necessarily look like lines.

Connector anatomy

Connectors have endpoints [image] [image] that you attach, or glue (glue: A property of shapes that causes them to stay connected even when one of the shapes is moved. When you attach a connector to a shape, you glue the connector.), to other shapes to show a visible connection between the two shapes. When you reposition shapes, they stay connected.

A connector has a begin point [image] and an end point [image]. Begin points and end points turn red when they are glued to a shape.

The connector's begin and end points show the direction of the connection:

  • Glue the begin point [image] to the shape you're connecting from.

  • Glue the end point [image] to the shape you're connecting to.

Note Some connectors have arrows only on one end. The connector direction indicated by the begin and end points might be different from the direction of the arrow.

Dynamic connectors versus straight connectors

Right-angle connectors created by Connector tool [image] are dynamic connectors (dynamic connector: A one-dimensional connector shape that changes its path to avoid crossing through the shapes which connected with the connector.), which means they can automatically bend around the connected shapes on the page.

Examples of right-angle connectors routing around shapes and crossing over lines

A straight connector is not a dynamic connector; it's a regular one-dimensional shape with end points that can be glued to shapes. A straight connector does not automatically bend around shapes. It always connects in a straight line, which means that it overlaps other shapes in the path of that line.

Examples of straight connectors connecting using straight paths

Note You can use Connector layout toolbar [image] to change dynamic connectors' appearance and behavior, please relative article Change the Appearances and Behavior of Connectors.

Built-in connectors

Some shapes, such as organization chart position shapes and the network Ethernet and ring shapes, have built-in connectors―control handles (control handle: A handle that specifies unique behavior for certain shapes. For example, in some shapes you can use a control handle to reposition text on the drawing page. You can pause the pointer over a control handle to see what it does.) that you can drag and glue to other shapes.

Some shapes have control handles [image] that you can drag to glue to other shapes.


Change the Appearances and Behavior of Connectors

Adjust connectors

Set line jump layout style for connectors

Set line jump style for connectors

Reset the path of a connector

Add text to a connector

Reposition text on a connector

Add arrows or other line ends to a connector

Change the width of a connector

Change the color of a connector

Adjust connectors

  1. Select a connector

  2. Drag the control handles [image] or [image] to adjust the path of the connector as you want.

    Once you adjust connector, the connector will change its Reroute Mode to Never Reroute.

    Select a connector, the Connector Layout toolbar [image] will appear, select one Reroute Mode on it.

    • Reroute Freely [image] The connector is rerouted whenever needed. This is the default setting for a dynamic connector.

    • Never Reroute [image] The connector will never reroute, even when a leg of the connector crosses through a shape to which it is connected.

    And you can click Reset Connector button [image] to reset the connector, please read Reset the path of a connector.

    Example: Dragging the X direction control handle to adjust the connector.

    Example: Dragging the Y direction control handle to adjust the connector.

    Example: Dragging the Corner control handle to adjust the connector.

Set line jump layout style for connectors

  1. Select a dynamic connector (created by Connector tool [image]) on the page, then the Connector Layout toolbar [image] will appear.

  2. Click the Jump Layout Style button [image] or click the down arrow next to Jump Layout Style button to select one jump layout style you want.

    Note Once you change the jump layout style, all the jumps on the page will be changed.

    Example: Horizontal lines spawn jumps.

    Example: Vertical lines spawn jumps.

    Example: No lines spawn jumps.

Set line jump style for connectors

  1. Select a dynamic connector (created by Connector tool [image]) on the page, then the Connector Layout toolbar [image] will appear.

  2. Click the Jump Style button [image] or click the down arrow next to Jump Style button to select one jump style you want.

    There are six kinds jump style.

    (1) [image] (2)

    Example: Change the jump style from Square to Arc.

    Note To change the jump style, should select the connector with the jump you want change. Other jumps will never change.

Reset the path of a connector

  1. Select a dynamic connector (created by Connector tool [image]) on the page, then the Connector Layout toolbar [image] will appear.

  2. Click Reset Connector button [image] on the toolbar.

    As you press Reset Connector button, the connector will reset its path and change its Reroute Mode to Reroute Freely as well. In Reroute Freely mode, connector will reroute its path when any operation happens.

Note Only the connector has been modified by dragging control handle [image] or [image], otherwise the Reset Connector button is Unable.

Once the dynamic connector is adjusted, the Never Reroute button [image] will be focus, and the dynamic connector will never reroute until you click Reroute Freely button [image].

Add text to a connector

  1. Select a connector.

  2. Type the text you want to add to the connector.

    Note For Right-angle connectors (created by Connector tool [image], or by Line tool [image]), there three text blocks.

    Double click the area where you want to type text, the nearest text block will be activated.

    For example, double click the begin point area of the Connection line, the text block near the begin point will be edited.

Reposition text on a connector

Many connectors have control handles [image] for moving text. To move the text, select the connector and then use the Selection tool [image] to move the text control handle.

Note If the connector does not have a control handle, you can still reposition its text using the Text Block tool [image], just as you would on any other shape. Click the Text Block [image] tool, click the shape, and then drag the double rectangle that appears when the pointer is over the text in the text block.

Add arrows or other line ends to a connector

  1. Select a connector.

  2. On the Shape menu, click Line. Also you can click [image] on Format toolbar.

  3. Under Line ends, choose the type and size of line end you want.

  4. Click OK.

Notes

The line ends on a connector don't necessarily indicate the direction of the endpoints (endpoint: Either of the square handles [image] [image] that appear at the beginning or end of a selected line, arc, or other connector shapes in library.) of the connector. If you need to reverse the direction of a connector, select the connector, point to Rotate or Flip on the Shape menu, and then click Flip Horizontal, and also you can change the Line ends to reverse the direction.

Change the width of a connector

  1. Select a connector.

  2. On the Shape menu, click Line.

  3. Under Weight, click a line weight setting.

  4. Click OK.

Change the color of a connector

  1. Select a connector.

  2. On the Shape menu, click Line, also you can click the Line Color button [image] on the Format toolbar.

  3. Under Color, click a color setting.

  4. Select a fill mode and color you want.

    EDraw provide five line color scheme.

  5. Click OK.


About Connection Points

In EDraw, you connect shapes by attaching, or gluing (glue: A property of shapes that causes them to stay connected even when one of the shapes is moved. When you attach a connector to a shape, you glue the connector.), connectors to shape connection points [image] .

A connection point on a shape is a blue.

When the endpoint of the connector move over the connection point, the red rectangle [image] [image] will appear, there are several cases.

When you select connector line tool (Connector tool, Line tool, Arc tool, Curve tool, Sector tool, Freehand tool), once the mouse moves over the connection point, the red rectangle [image] will appear, this means you can connector to the shape.

When you move the endpoint of the connector, once the mouse moves over the connection point, the red rectangle [image] will appear.

When you move the shapes or the connector, once the endpoint of the connector and the connection point of the shape are at the same position, the red rectangle [image] will appear.

When a connector is glued to that connection point, the endpoint of the connector turns red.

Note The position of connection point determines the direction in which the connector layout.


Working with Connection Points

Add a connection point to a shape

Delete a connection point

Move a connection point

Hide connection points

Add a connection point to a shape

  1. Select a shape.

  2. Click the Connection Point tool [image] .

    Note If the Connection Point tool isn't visible, click the down arrow next to the Connector [image] tool, and then click the Connection Point tool [image].

  3. Press CTRL and click the selected shape.

    Note Be sure the shape is selected before you add the connection point. The selected shape has a green, dashed border. Connection points are created only for the selected shape, even if the pointer is positioned over a different shape.

Delete a connection point

  1. Click the Connection Point tool [image] .

    Note If the Connection Point tool isn't visible, click the down arrow next to the Connector [image] tool, and then click the Connection Point tool [image].

  2. Click the connection point to select it (it turns magenta), and then press DELETE.

Move a connection point

  1. Click the Connection Point tool [image] .

    Note If the Connection Point tool isn't visible, click the down arrow next to the Connector [image] tool, and then click the Connection Point tool [image].

  2. Click the connection point to select it (it turns magenta).

  3. Hold left button of mouse and move mouse to the position you want.

  4. Release left button of mouse, the connection point will go to the position you want.

    Note If you hold CTRL when you release left button of mouse, the selected connection point will be duplicated.

Hide connection points

On the View menu, make sure that Connection Points is not selected.


Connect Shapes

Connect shapes using the Connector tool

Connect shapes using the Drawing tools

Connect shapes using a connector shape from a library

Drag a connector from a control handle on a shape

Connect shapes using the Connector tool

  1. Click the Connector tool [image].

  2. Draw connection line as follow:

    To keep the connector glued to a specific point on a shape, drag from a connection point [image] on the first shape to a connection point on the second shape. The connector endpoints turn red when the shapes are connected.

    Note You can also create connections between shapes where one side of the connector is connected to a point and the other end of the connector is connected to the shape (and vice versa).

Connect shapes using the Drawing tools

  1. Click the Line tool [image], or Arc tool [image], or Sector tool [image], or Curve tool [image], or Freehand tool [image].

  2. Draw connection line as using Connector tool.

Connect shapes using a connector shape from a library

  1. In a library that has connector shapes, drag a connector shape from the library.

  2. Drag the connector's begin point [image] to the shape you're connecting from.

  3. Drag the connector's end point [image] to the shape you're connecting to.

    The endpoints turn red when the connector is glued to the shapes.

Drag a connector from a control handle on a shape

  1. Select a shape that has built-in connectors, and position the pointer over the shape's control handle [image] .

  2. Drag the control handle to a connection point on another shape.

    Note You can glue these types of connectors only to a connection point on another shape; for some special control handle you can dynamically glue them. And not all the control handle [image] can be glued to connection points, when dragging the control handle and moving over connection point, red rectangle [image] will appear if the control handle can be glued.


Working with Connectors

Connect shapes using the Connector tool

Connect shapes using the Drawing tools

Connect shapes using a connector shape from a library

Drag a connector from a control handle on a shape

Add text to a connector

Reposition text on a connector

Add arrows or other line ends to a connector

Reset the path of a connector

Connect shapes using the Connector tool

  1. Click the Connector tool [image].

  2. Draw connection line as follow:

    To keep the connector glued to a specific point on a shape, drag from a connection point [image] on the first shape to a connection point on the second shape. The connector endpoints turn red when the shapes are connected.

    Note You can also create connections between shapes where one side of the connector is connected to a point and the other end of the connector is connected to the shape (and vice versa).

Connect shapes using the Drawing tools

  1. Click the Line tool [image], or Arc tool [image], or Sector tool [image], or Curve tool [image], or Freehand tool [image].

  2. Draw connection line as using Connector tool.

Connect shapes using a connector shape from a library

  1. In a library that has connector shapes, drag a connector shape from the library .

  2. Drag the connector's begin point [image] to the shape you're connecting from.

  3. Drag the connector's end point [image] to the shape you're connecting to.

    The endpoints turn red when the connector is glued to the shapes.

Drag a connector from a control handle on a shape

  1. Select a shape that has built-in connectors, and position the pointer over the shape's control handle [image] .

  2. Drag the control handle to a connection point on another shape.

    Note Not all the control handle [image] can be glued to connection points, when dragging the control handle and moving over connection point, red rectangle [image] will appear if the control handle can be glued. But you cannot dynamically glue them.

Add text to a connector

  1. Select a connector.

  2. Type the text you want to add to the connector.

    Note For Right-angle connectors (created by Connector tool [image], or by Line tool [image]), there three text blocks.

    Double click the area where you want to type text, the nearest text block will be activated.

    For example, double click the begin point area of the Connection line, the text block near the begin point will be edited.

Reposition text on a connector

Many connectors have control handles [image] for moving text. To move the text, select the connector and then use the Selection tool [image] to move the text control handle.

Note If the connector does not have a control handle, you can still reposition its text using the Text Block tool [image], just as you would on any other shape. Click the Text Block [image] tool, click the shape, and then drag the double rectangle that appears when the pointer is over the text in the text block.

Add arrows or other line ends to a connector

  1. Select a connector.

  2. On the Shape menu, click Line. Also you can click [image] on Format toolbar.

  3. Under Line ends, choose the type and size of line end you want.

  4. Click OK.

Notes

The line ends on a connector don't necessarily indicate the direction of the endpoints (endpoint: Either of the square handles [image] [image] that appear at the beginning or end of a selected line, arc, or other connector shapes in library.) of the connector. If you need to reverse the direction of a connector, select the connector, point to Rotate or Flip on the Shape menu, and then click Flip Horizontal, and also you can change the Line ends to reverse the direction.

Reset the path of a connector

  1. Select a dynamic connector (created by Connector tool [image]) on the page, then the Connector Layout toolbar [image] will appear.

  2. Click Reset Connector button [image] on the toolbar.

    As you press Reset Connector button, the connector will reset its path and change its Reroute Mode to Reroute Freely as well. In Reroute Freely mode, connector will reroute its path when any operation happens.

Note Only the connector has been modified by dragging control handle [image] or [image], otherwise the Reset Connector button is Unable.

Once the dynamic connector is modified, the Never Reroute button [image] will be focus, and the dynamic connector will never reroute until you click Reroute Freely button [image].


Drawing and Editing Shapes

Drawing Basic Shapes

Editing Shapes


Drawing Shapes

Display the Drawing toolbar

Set the default formatting for drawing lines

Draw a rectangle or square

Draw an ellipse or circle

Draw a line

Draw a sector

Draw an arc

Draw a curve

Draw a freehand curve

Draw a shape that has multiple segments

Display the Drawing toolbar

The Tools toolbar contain all the drawing tools you need to draw and edit your own shapes.

To show Tools toolbar, on View menu, move mouse to Toolbars, click Tools on pop menu.

Set the default formatting for drawing lines

Please read Set the default formatting for drawing lines.

Draw a rectangle or square

  1. On the Tools toolbar, click the Rectangle tool [image].

  2. Point to where you want a corner of the shape.

  3. Drag until the shape is the size you want.

    To draw square, drag the mouse to 45 degree direction from start point, the assistant line will appear and snap mouse, drag mouse along the assistant line until the size you want.

    Note Make sure Drawing adis option checked, otherwise the assistant line will never appear.

Draw an ellipse or circle

  1. On the Tools toolbar, click the Ellipse tool [image].

  2. Point to where you want to start drawing the shape.

  3. Drag until the shape is the size you want.

    To draw circle, drag the mouse to 45 degree direction from start point, the assistant line will appear and snap mouse, drag mouse along the assistant line until the size you want.

    Note Make sure Drawing adis option checked, otherwise the assistant line will never appear.

Draw a line

  1. On the Tools toolbar, click the Line tool [image].

  2. Point to where you want to start the line.

  3. Drag to draw the line.

    Notes

    • To draw a polyline, continue drawing lines that touch each other.
    • To draw a polygon, draw touching lines that form a closed shape.
    • To draw horizontal or vertical straight line, drag the mouse near the direction, the assistant line will appear and snap mouse.

Draw a sector

  1. On the Tools toolbar, click the Sector tool [image].

  2. Point to where you want to start the sector.

  3. Drag to draw the sector.

Draw an arc

  1. On the Tools toolbar, click the Arc tool [image].

  2. Point to where you want to start the arc.

  3. Drag to draw the arc.

Draw a curve

  1. On the Tools toolbar, click the Curve tool [image].

  2. Point to where you want to start the curve.

  3. Click and move the second point you want.

  4. Click and move the third point you want.

  5. Click and move the fourth point you want, and click.

Draw a freehand curve

  1. On the Tools toolbar, click the Freehand tool [image].

  2. Point to where you want to start the freehand curve.

  3. Drag to draw the freehand curve.

Draw a shape that has multiple segments

  1. On View menu, move mouse to Toolbars, click Tools on pop menu.

  2. Click one of the following tools:

    • Line tool

    • Sector tool

    • Arc tool

    • Curve tool

    • Freehand tool

  3. To draw the first segment, point to where you want to start the shape, and then drag until the segment is the size you want.

  4. To draw the second segment, point to the endpoint (endpoint: Either of the square handles that appear at the beginning or end of a selected line, arc, or other one-dimensional shape.) [image] [image] of the first segment (the pointer will look like a plus sign), and then drag.

    After you draw the second segment, the shape displays vertices (vertex, vertices: One of the diamond-shaped handles that appears between two segments on a multiple-segment shape, or at the end of a segment. You can reshape a shape or connector by dragging its vertices.) [image] instead of endpoints [image] [image].

  5. To draw additional segments, point to the vertex at the end of the last segment you added, and then drag to draw the next segment.

  6. To close the shape, drag the endpoint of the last segment you create over the vertex at the beginning of the first segment.

    The shape becomes opaque, indicating it’s a closed shape (closed shape: A shape that is surrounded by a continuous outline, such as a rectangle or circle. You can fill a closed shape with a color or a pattern.).

Tips

  • To undo a segment, on the Edit menu, click Undo Add Segment. Segments are deleted in the reverse order in which they were drawn.

  • If an existing segment resizes when you try to draw a new segment, you have accidentally selected the vertex of the resized segment. On the Edit menu, click Undo Edit Segment, and then click away from the shape to clear its selection. Point to the vertex and drag to draw the next segment.


Editing Shapes

About arcs

About shape segments and vertices

Add a new segment to a shape

Reshape a line

Reshape an arc

Reshape a curve

Reshape a freeform curve

Reshape a shape by dragging a vertex

About arcs

Every arc that you draw using the Arc tool follows the perimeter of an invisible ellipse. You can perform these actions:

  • Change the bow of an arc so that the arc becomes a larger or smaller portion of the circle or ellipse. You can even flatten an arc to make it a line.

  • Edit an arc by dragging its eccentricity handles [image] to reshape the ellipse on which the arc is based. You can change the way the arc leans (the angle of eccentricity) and its flatness (the magnitude of eccentricity).

About shape segments and vertices

A segment is a straight line or a curve that is part of a more complex shape. Between each pair of segments is a vertex (vertex, vertices: One of the diamond-shaped handles that appears between two segments on a multiple-segment shape, or at the end of a segment. You can reshape a shape or connector by dragging its vertices.) . You can:

  • Add a segment to a shape by adding a new vertex to an existing segment. Please read Add a new segment to a shape.

  • Reshape shape by dragging a vertex. Please read Reshape a shape by dragging a vertex.

  • Reshape shape by dragging the control point on segment. Please read Reshape a line, Reshape an arc , Reshape a curve, Reshape a freeform curve .

Add a new segment to a shape

  1. If the Tools toolbar isn't already open, on View menu, move mouse to Toolbars, click Tools on pop menu.
  2. Click the Line [image] , Sector [image], Arc [image] , Curve [image] or Freehand tool [image] , and then select a shape.
  3. Between two existing vertices [image] on the shape's outline, point to where you want to add the segment.
  4. Click.

    A new vertex appears where you clicked the shape, creating a new segment. To make the shape look the way you want, you may need to adjust it by dragging vertices and control points (control point: (1) The circle [image] that appears on a line segment or an arc segment when you select them with the Drawing tools. Drag a control point to change the curve of an arc or ellipse. (2) A point [image] that influences the curvature of a spline segment.) .

Reshape a line

  1. If the Tools toolbar isn't already open, on View menu, move mouse to Toolbars, click Tools on pop menu.
  2. Click the Line [image] , Sector [image], Arc [image] , Curve [image] or Freehand tool [image] .
  3. Select a line or a shape contains a line, and position the mouse over the shape to automatically display the control point [image].
  4. Move the control point you want.

Through this way a line can be changed to a arc, vice versa.

Reshape an arc

Change the curvature of an arc

  1. If the Tools toolbar isn't already open, on View menu, move mouse to Toolbars, click Tools on pop menu.

  2. Click the Line [image] , Sector [image], Arc [image] , Curve [image] or Freehand [image] , and then select a shape.

  3. Select an arc or a shape that contains an arc.

    You can also select the arc or shape using the Selection tool [image], and then position the pointer over the shape to automatically display the control point and move it.

  4. Point to the arc's control point [image].

  5. Drag the control point until the arc looks the way you want.

Note An arc has an invisible snap point in the middle of an invisible line between its two endpoints. When you drag the control point (control point: (1) The circle that appears on a line segment or an arc segment when you select them with the pencil tool. Drag a control point to change the curve of an arc or ellipse. (2) A point that influences the curvature of a spline segment.) to that snap point so that the arc has no curvature, the arc becomes a line.

Change the eccentricity (or symmetry) of an arc

  1. If the Tools toolbar isn't already open, on View menu, move mouse to Toolbars, click Tools on pop menu.

  2. Click the Line [image] , Sector [image], Arc [image] , Curve [image] or Freehand [image] , and then select a shape.

  3. Select an arc or a shape that contains an arc.

    You can also select the arc or shape using the Selection tool [image] , and then position the pointer over the shape to automatically display the control point and move it.

  4. Click the control point [image] on the arc to display its eccentricity handles [image].

    On circular arcs, the eccentricity handles (eccentricity handle: The circle that appears at each end of a dotted line when a control point of an elliptical arc is selected with the pencil tool. Drag to change the angle and magnitude of an arc's eccentricity.) are under the control point.

    If you don't see the eccentricity handles, click control point [image] again and the eccentricity handles will be selected, just drag it.

  5. Edit the arc by doing the following:

    • To change an arc's magnitude of eccentricity, drag an eccentricity handle farther from or closer to the control point.

    • To change an arc's angle of eccentricity, drag an eccentricity handle around the control point.

Reshape a curve

  1. If the Tools toolbar isn't already open, on View menu, move mouse to Toolbars, click Tools on pop menu.
  2. Click the Line [image] , Sector [image], Arc [image] , Curve [image] or Freehand [image] .
  3. Select a curve or shape contains a curve, and position the mouse over the shape to automatically display the control point [image].
  4. Move the control point you want.

Reshape a freehand curve

  1. Click the Freehand tool [image], you also can click other Drawing tools, and then select a freehand curve (freehand curve: A shape with curved segments. Also called a spline.).

  2. Click the vertex you want to reshape, and the control handles will appear.

  3. Drag a control point [image] to change the shape of the freeform curve.

Reshape a shape by dragging a vertex

  1. If the Tools toolbar isn't already open, on View menu, move mouse to Toolbars, click Tools on pop menu.

  2. Click the Line [image] , Sector [image], Arc [image] , Curve [image] or Freehand [image] .

  3. Select a shape.

    For shapes that you create using the drawing tools, you can also select a shape using the Selection [image] tool, and then position the pointer over the shape to automatically display vertices or control points and move them.

  4. Click the vertex [image] .

    When the pointer is directly over the vertex or control point, it changes to a four-headed arrow [image] . When the vertex or control point is selected, its color changes to magenta.

  5. Drag the vertex or control point to a new position.


Drawing with drawing tools

Drawing Basic

Drawing Simple Lines and Shapes

Drawing with the Pen Tool

Drawing with the Pencil Tool

Editing Path

http://www.edrawsoft.com

©2004-2006 EDraw. All rights reserved.


Drawing Basics

About vector graphics

About paths

About direction lines and direction points

About vector graphics

Vector graphics (sometimes called vector shapes or vector objects) are made up of lines and curves defined by mathematical objects called vectors, which describe an image according to its geometric characteristics.

Vector graphics are resolution-independent—they maintain crisp edges when resized, printed to a PostScript printer, saved in a PDF file, or imported into a vector-based graphics application. As a result, vector graphics are the best choice for artwork, such as logos, that will be used at various sizes and in various output media.

You can use drawing tools to create vector objects and save as library element.

About paths

As you draw, you create a line called a path. A path is made up of one or more straight or curved segments. The beginning and end of each segment are marked by anchor points, which work like pins holding a wire in place. A path can be closed (for example, a circle), or open, with distinct endpoints (for example, a wavy line).

You change the shape of a path by dragging its anchor points, the direction points at the end of direction lines that appear at anchor points, or the path segment itself.

Components of a path

A. Unselected anchor point B. Selected anchor point C. Direction point D. Direction line E. Straight segment F. Curved segment

Paths can have two kinds of anchor points: corner points and smooth points. At a corner point, a path abruptly changes direction. At a smooth point, path segments are connected as a continuous curve. You can draw a path using any combination of corner and smooth points. If you draw the wrong kind of point, you can always change it.

Points on a path

A. Four corner points B. Four smooth points C. Combination of corner and smooth points

A corner point can connect any two straight or curved segments, while a smooth point always connects two curved segments.

A corner point can connect both straight segments and curved segments.

About direction lines and direction points

When you select an anchor point that connects curved segments (or select the segment itself), the anchor points of the connecting segments display direction handles, which consist of direction lines that end in direction point. The angle and length of the direction lines determine the shape and size of the curved segments. Moving the direction points reshapes the curves. Direction lines don’t appear in the final output.

After selecting an anchor point (left), direction lines appear on any curved segments connected by the anchor point (right).

A smooth point always has two direction lines, which move together as a single, straight unit. When you move a direction line on a smooth point, the curved segments on both sides of the point are adjusted simultaneously, maintaining a continuous curve at that anchor point.

In comparison, a corner point can have two, one, or no direction lines, depending on whether it joins two, one, or no curved segments, respectively. Corner point direction lines maintain the corner by using different angles. When you move a direction line on a corner point, only the curve on the same side of the point as that direction line is adjusted.

Adjusting direction lines on a smooth point (left) and a corner point (right)

Direction lines are always tangent to (perpendicular to the radius of) the curve at the anchor points. The angle of each direction line determines the slope of the curve, and the length of each direction line determines the height, or depth, of the curve.

Moving and resizing direction lines changes the slope of curves.


Drawing simple lines and shapes

Draw straight lines with the Line Segment tool

Draw arcs

Draw spirals

Draw rectangles and squares

Draw rounded rectangles

Draw ellipses

Draw polygons

Draw stars

Draw straight lines with the Line Segment tool

Use the Line Segment tool when you want to draw one straight line segment at a time.

  1. Select the Line Segment tool [image].

  2. Do one of the following:

    • Position the pointer where you want the line to begin, and drag to where you want the line to end.

    • Double click where you want the line to begin, the "Line" property dialog will appear and specify the length and angle of the line. Then click OK.

Draw arcs

Use the Arc tool when you want to draw one arc segment at a time.

  1. Select the Arc tool [image].

  2. Do one of the following:

    • Position the pointer where you want the arc to begin, and drag to where you want the arc to end.

    • Double click where you want the line to begin, and in the dialog box set the following options. Then click OK.

      Length X‑Axis Specifies the width of the arc.

      Length Y‑Axis Specifies the height of the arc.

      Type Specifies whether you want the object to be an open path or a closed path.

      Slope Specifies the direction of the arc’s slope. Enter a negative value for a concave (inward) slope. Enter a positive value for a convex (outward) slope. A slope of 0 creates a straight line.

Draw spirals

  1. Select the Spiral tool [image].

  2. Do one of the following:

    • Drag until the spiral is the desired size. Drag the pointer in an arc to rotate the spiral.

    • Double click where you want the spiral to begin. In the dialog box, set any of the following options, and click OK.

      Radius Specifies the distance from the center to the outermost point in the spiral.

      Decrease Specifies the amount by which each wind of the spiral should decrease relative to the previous wind.

      Segment Num Specifies how many segments the spiral has. Each full wind of the spiral consists of four segments.

      Style Specifies the direction of the spiral.

Draw rectangles and squares

  1. Select the Rectangle tool [image].

  2. Do one of the following:

    • To draw a rectangle, drag diagonally until the rectangle is the desired size.

    • To draw a square, hold down the Shift key while you drag diagonally until the square is the desired size.

    • To create a square or rectangle using values, double click where you want the center point to be. Specify a width and height, and click OK.

Draw rounded rectangles

  1. Select the Rounded rectangle tool [image].

  2. Do one of the following:

    • To draw a rounded rectangle, drag diagonally until the rectangle is the desired size.

    • To draw a rounded square, hold down the Shift key while you drag diagonally until the square is the desired size.

    • To create a rounded square or rounded rectangle using values, double click where you want the center point to be. Specify a width, height and the corner radius, then click OK.

Draw ellipses

  1. Select the Ellipse tool [image].

  2. Do one of the following:

    • To draw a ellipse, drag diagonally until the ellipse is the desired size.

    • To draw a circle, hold down the Shift key while you drag diagonally until the circle is the desired size.

    • To create a circle using values, double click where you want the center point to be. Specify a width and height, then click OK.

Draw polygons

  1. Select the Polygon tool [image].

  2. Do one of the following:

    • Drag until the polygon is the desired size. Drag the pointer in an arc to rotate the polygon. Press the Up Arrow and Down Arrow keys to add and remove sides from the polygon.

    • Click where you want the center of the polygon to be. Specify a radius and number of sides for the polygon, and click OK.

    Note: Triangles are polygons too! You can draw one just as you would any other polygon.

Draw stars

  1. Select the Star tool [image].

  2. Do one of the following:

    • Drag until the star is the desired size. Drag the pointer in an arc to rotate the star. Press the Up Arrow and Down Arrow to add and remove points from the star.

    • Click where you want the center of the star to be. For Radius 1, specify the distance from the center of the star to the star’s innermost points. For Radius 2, specify the distance from the center of the star to the star’s outermost points. For Points, specify how many points you want the star to have. Then click OK.


Drawing with the Pen tool

Draw straight line segments with the Pen tool

Draw curves with the Pen tool

Draw straight lines followed by curves

Draw curves followed by straight lines

Draw two curved segments connected by a corner

Finish drawing a path

Draw straight line segments with the Pen tool

The simplest path you can draw with the Pen tool is a straight line, made by clicking the Pen tool to create two anchor points. By continuing to click, you create a path made of straight line segments connected by corner points.

Clicking Pen tool creates straight segments.

  1. Select the Pen tool [image].

  2. Position the Pen tool where you want the straight segment to begin, and click to define the first anchor point (do not drag).

    Note: The first segment you draw will not be visible until you click a second anchor point.

  3. Click again where you want the segment to end .

  4. Continue clicking to set anchor points for additional straight segments.

    The last anchor point you add always appears as a solid square, indicating that it is selected. Previously defined anchor points become hollow, and deselected, as you add more anchor points.

  5. Complete the path by doing one of the following:

    • To close the path, position the Pen tool over the first (hollow) anchor point. Click to close the path.

    • To leave the path open, right-click anywhere away from all objects.

      To leave the path open, you can also double-click anywhere away from the first anchor point.

Draw curves with the Pen tool

You create a curve by adding an anchor point where a curve changes direction, and dragging the direction lines that shape the curve. The length and slope of the direction lines determine the shape of the curve.

Curves are easier to edit and your system can display and print them faster if you draw them using as few anchor points as possible. Using too many points can also introduce unwanted bumps in a curve. Instead, draw widely spaced anchor points, and practice shaping curves by adjusting the length and angles of the direction lines.

  1. Select the Pen tool [image].

  2. Position the Pen tool where you want the curve to begin, and hold down the mouse button and drag.

    The first anchor point and first direction line appears.

  3. Drag to set the slope of the curve segment you’re creating, and then release the mouse button.

    In general, extend the direction line about one third of the distance to the next anchor point you plan to draw. (You can adjust one or both sides of the direction line later.)

    Drawing the first point in a curve

    A. Positioning pen tool B. Dragging the direction line C. Released mouse button and moving to next point position

  4. Position the Pen tool where you want the curve segment to end, and do one of the following:
    To create a C shaped curve, drag in a direction opposite to the previous direction line. Then release the mouse button.
    To create an S‑shaped curve, drag in the same direction as the previous direction line. Then release the mouse button.

    Drawing the first point in a curve

    A. Starting to drag second smooth point B. Dragging away from previous direction line, creating a C curve C. Dragging in same direction as previous direction line, creating an S curve

  5. Continue dragging the Pen tool from different locations to create a series of smooth curves. Note that you are placing anchor points at the beginning and end of each curve, not at the tip of the curve.

  6. Complete the path by doing one of the following:
    To close the path, position the Pen tool over the first (hollow) anchor point. Click or drag to close the path.

Note:

  • To close the path, position the Pen tool over the first (hollow) anchor point. Click to close the path.

  • To leave the path open, right-click anywhere away from all objects.

    To leave the path open, you can also double-click anywhere away from the first anchor point.

Draw straight lines followed by curves

  1. Select the Pen tool [image].

  2. Using the Pen tool, click corner points in two locations to create a straight segment.

  3. Move to second point. To set the slope of the curved segment you’ll create next, drag the direction line that appears.

    Drawing the first point in a curve

    A. Straight line completed B. Moving to second point C. Dragging first direction line to set the slope of the curve D. Move to end point and finished drawing

Draw curves followed by straight lines

  1. Select the Pen tool [image].

  2. Using the Pen tool, drag to create the first smooth point of the curved segment, and release the mouse button.

  3. Move to the position where you want the straight segment to end.

    A. Curve line completed B. Moving to straight segment end C. Finished drawing

Draw two curved segments connected by a corner

  1. Select the Pen tool [image].

  2. Using the Pen tool, drag to create the first smooth point of the curved segment, and right click the mouse button.

  3. Position the Pen tool over the selected endpoint.

    Drawing the first point in a curve

    A. Moving to the end point of the first curve segment B. Dragging the direction line C. Right click to finish the first curve segment

  4. Reposition the Pen tool where you want the second curved segment to end, and drag a new smooth point to complete the second curved segment.

    A. Dragging the second curve segment B. Finished drawing

Finish drawing a path

Complete a path in one of the following ways:

  • To close the path, position the Pen tool over the first (hollow) anchor point. Click to close the path.

  • To leave the path open, right-click anywhere away from all objects.

    To leave the path open, you can also double-click anywhere away from the first anchor point.


Drawing with the Pencil tool

Draw freeform paths with the Pencil tool

Draw closed paths with the Pencil tool

It lets you draw open and closed paths as if you were drawing with a pencil on paper. It is most useful for fast sketching or creating a hand-drawn look. Once you draw a path, you can immediately change it if needed.

Anchor points are set down as you draw with the Pencil tool; you do not determine where they are positioned. However, you can adjust them once the path is complete. The number of anchor points set down is determined by the length and complexity of the path.

Draw freeform paths with the Pencil tool

  1. Select the Pencil tool [image].

  2. Position the tool where you want the path to begin, and drag to draw a path.
    As you drag, a dotted line follows the pointer. Anchor points appear at both ends of the path and at various points along it. The path takes on the current stroke and fill attributes, and remains selected by default.

Draw closed paths with the Pencil tool

  1. Select the Pencil tool [image].

  2. Position the tool where you want the path to begin, and start dragging to draw a path.

  3. When the path is the size and shape you want, move mouse to the first anchor point and release mouse button. The path will be closed.


Editing Path

Select paths, segments, and anchor points

Adjust path segments

Adding and deleting anchor points

Convert between smooth points and corner points


Select paths, segments, and anchor points

Select anchor points

Select path segments

Select all anchor points and segments in a path

Before you can reshape or edit a path, you need to select the path’s anchor points, segments, or a combination of both.

Select anchor points

  • If you can see the points, you can click them with the Direct Selection Tool [image] to select them. Hold Ctrl down to select multiple points.

  • If you can see the points, if not please select the shape first. Select the Direct Selection Tool [image] and drag a boundary around the anchor points.

  • If one anchor point has been selected, using Direct Selection Tool [image] click it to unselect the anchor point.

Select path segments

  • Select the shapes first, using Direction Selection Tool [image] click on the segment you want to select. Then the end points of the segment will be selected, this means the segment has been selected.

Select all anchor points and segments in a path

  1. Select the Direct Selection tool [image].

  2. Drag around the entire path.

Notes The path must be selected firstly.


Adjust path segments

Move straight segments

Adjust the length or angle of straight segments

Adjust curve segments

You can edit a path segment at any time, but editing existing segments is slightly different from drawing them. Keep the following tips in mind when editing segments:

  • If an anchor point connects two segments, moving that anchor point always changes both segments.

  • When you initially draw a smooth point with the Pen tool, dragging the direction point changes the length of the direction line on both sides of the point. However, when you edit an existing smooth point with the Direct Selection tool, you change the length of the direction line only on the side you’re dragging.

Move straight segments

  1. With the Direct Selection tool [image], select the segment you want to adjust.

  2. Drag the segment's anchor point to its new position.

Adjust the length or angle of straight segments

  1. With the Direct Selection tool [image], select an anchor point on the segment you want to adjust.

  2. Drag the anchor point to the desired position.

Adjust curve segments

  1. With the Direct Selection tool, select a curved segment, or an anchor point on either end of the curved segment. Direction lines appear, if any are present.

  2. Do any of the following:

    • To adjust the position of the segment, drag the segment's anchor points.

      Click to select the curve segment. Then drag to adjust

    • To adjust the shape of the segment on either side of a selected anchor point, drag the anchor point or the direction point.

      Drag the anchor point, or drag the direction point


Adding and deleting anchor points

Adding anchor points can give you more control over a path, or it can extend an open path. However, it’s a good idea not to add more points than necessary. A path with fewer points is easier to edit, display, and print. You can reduce the complexity of a path by deleting unnecessary points.

  1. Select the path you want to modify.

  2. To add an anchor point, select the Add Anchor Point tool [image], position the pointer over the path segment, and click.

  3. To delete an anchor point, select the Delete Anchor Point tool [image], position the pointer over the anchor point, and click.


Convert between smooth points and corner points

You can convert the points on a path between corner to smooth points. Using the Convert Anchor Point tool, you can choose to convert only one side of the point, and you can precisely alter the curve as you convert the point.

  1. Select the entire path you want to modify so that you can see its anchor points.

  2. Select the Convert Anchor Point tool [image].

  3. Position the Convert Anchor Point tool over the anchor point you want to convert, and do one of the following:

    • To convert a corner point to a smooth point, drag a direction point out of the corner point.

      Dragging a direction point out of a corner point to create a smooth point

    • To convert a smooth point to a corner point without direction lines, click the smooth point.

      Clicking a smooth point to create a corner point

    • To convert a smooth point to a corner point with independent direction lines, drag either direction point.

      Converting a smooth point to a corner point

    • To convert a corner point without direction lines to a corner point with independent direction lines, first drag a direction point out of a corner point (making it a smooth point with direction lines). Release the mouse button only (don’t release any keys you may have pressed to activate the Convert Anchor Point tool), and then drag either direction point.


Misc

OLE Objects

Clipping a Drawing

Insert Pictures

Insert Symbols

Insert Hyperlinks


Clipping a Drawing

In EDraw, you can clip a drawing with a rectangle area and save it as graphic file.

  1. Click Clip Region [image] on toolbar.

  2. Click any position of the drawing, and drag to the position you want.

  3. A clip object will be created and all the region will become gray except the clip object. Resize or move the clip object until you want.

  4. Press Enter or double click the clip object and the Save As dialog will come up.

  5. Type the name you want, and select the graphic format and file direction.

  6. Click Save.


Insert Pictures

You can insert a picture to current drawing:

  1. On Insert menu, click Picture, or click Insert Picture from File [image]. Then the Open dialog will come up.

  2. In Open dialog, choose the picture you want to insert.

  3. Click Open.


Insert Symbols

EDraw supplies a set of font symbols.

To insert a symbols:

  1. On Insert menu, click Symbol, then the Insert Symbol dialog will come up.

  2. In Insert Symbol dialog, you can:

    • Click Font to select a font.

    • Click Color to select the symbol color.

    • Select the symbol you want.

  3. Click Insert.


Insert Hyperlink

It's easy to add hyperlinks to the shapes in your diagrams. The hyperlinks can go to:

  • Another page in the same EDraw drawing.
  • A page or shape in another EDraw drawing.
  • A document other than a EDraw drawing.
  • A Web site.

For network design and documentation, linking a shape or page in one EDraw drawing to a shape or page in another EDraw drawing is an ideal way to reduce complexity.

  1. Make sure that both the file you're linking from and the file you're linking to have been saved.
  2. If you're creating a link to a specific shape, make a note of the shape id and the name of the page that the shape is on.
    • To find a shape id, click the shape to select it, and then the shape id will appear on the statute bar at bottom of the window.
    • To find the page name, locate the tab for the page at the bottom of the drawing window.
  3. Select the shape to add a hyperlink.
  4. On the Insert menu, click Hyperlinks.
  5. In the Address box, click Browse, and navigate to the file you want, and then click Open.

    If you don't see the file you want, try changing the Files of type list.

  6. To link to a specific page or a specific shape on a page, or to choose a zoom level, click Browse next to Sub-address.
    • Do any of the following:
      • To link to a specific page, select the page name in the Page box.
      • To link to a specific shape, first select the page name on which the shape appears in the Page box, and then type the id of the shape in the Shape box.
      • To specify a zoom level, type a percentage in the Zoom box, or click the arrow to select a zoom level.

        Note You can use the zoom level to show more or less detail of the drawing. Use a low number to show more detail of a smaller area of the drawing or a high number to show less detail of a larger area of the drawing.

    • Click OK.
  7. In the Description box, type a name for the link. This text will appear when the pointer rests over the link in the drawing.
  8. To create a Web link, type the web address in Address box.
  9. To add another hyperlink to the page or selected shape, click New, and then repeat steps 5 through 8.
  10. Click OK.


OLE Objects

OLE Objects in EDraw documents
EDraw Objects in Other OLE-Compatible Applications

EDraw is an OLE-compatible application (supports Object Linking and Embedding). This feature lets you use EDraw drawings in other OLE-compatible software, as well as work with other applications' objects from within EDraw.
OLE-compatibility means that you can combine objects created in different applications, such as pictures, audio and video files, etc., within a single document.

OLE Objects in EDraw documents

You can link data from other applications to your document. When you create a link to another application's object, your document stores only a reference to the location where its file resides (not the linked object itself). When you change the original data file, all the changes are reflected in your document.

To modify a linked object, double click the OLE object.

You can embed objects created in other applications into your EDraw document, and also use objects from EDraw in other applications - for instance, illustrate your text documents with charts, diagrams and other drawings. All the embedded data is stored with the document, even if the original file exists.

To modify an embedded object, double click the OLE object.

If there are other OLE-compatible applications on your system, you can create and insert a new OLE object into your document, and then edit such an object from within EDraw .

To insert a new OLE object, perform the following steps:

  1. On the Insert menu, click OLE object, the Insert Object dialog will appear.

  2. Choose Create New to create a new object.

  3. From the Object Type list, choose the needed type.
    If the needed file type is not found in the list, the corresponding application is probably not installed on your system.

  4. If you need the object to be displayed as icon only, check Display As Icon.

  5. Click OK.

A new object editing window will appear. In this window you can create a new object using the tools of the corresponding OLE-application.
To finish editing the object, click away from the object (if it is in the EDraw window).

To edit an OLE object that already exists in your document, double click the OLE object.

EDraw Objects in Other OLE-Compatible Applications

You can create EDraw objects from within another OLE-compatible application and insert it into your document. For instance, you can insert a EDraw drawing into a Word document.

To insert a EDraw document into another OLE-compatible application, do the following:

  1. In the OLE-compatible application, activate the document in which a EDraw object should be inserted.

  2. On the Insert menu, choose Object. The Insert Object dialog will appear.

  3. Choose the Create New option.

  4. From the list of the object types available, choose EDraw Document.

  5. If you need the document to be displayed as icon only, check the Display As Icon option.

  6. Click OK.

You will start editing the new object in the EDraw window. To get back to the primary application, choose Exit from the File menu.

To modify a EDraw document within another OLE-compatible application, double click the EDraw document object.

You can insert objects stored in EDraw files into the documents in other OLE-compatible applications.

To do this, perform the following steps in the in the OLE-compatible application:

  1. On the Insert menu, choose Object. The Insert Object dialog will appear.

  2. Choose the Create From File option.

  3. Click Browse and select the needed EDraw file to insert in your document.

  4. To link the selected file, check the Link option. The object in the file will be stored apart from the document, and all the changes made in the source file will be reflected in your document.
    Otherwise (if the Link option is unchecked), the object will be embedded and stored with the document.

  5. If you need the object to be displayed as icon only, check the Display As Icon option.

  6. Click OK.

If you need to insert an object from an open EDraw document into a document in another OLE-compatible application, perform the following steps:

  1. Select the object.

  2. Copy it onto the Clipboard - you can use the Copy command from the Edit menu, or the Copy button [image] on the toolbar.

  3. In the target application, activate the document in which the object should be inserted.

  4. From the Edit menu in the application, choose Paste.

Note: If you select and copy several objects in EDraw , they will be pasted into the application's document as a single object, though when you double-click to edit it as an OLE object, the components can be edited separately.


Appendix

Keyboard Shortcuts

Libraries

Toolbars

Menus


Keyboard Shortcuts

Ctrl + A | Select all the shapes in active drawing
Ctrl + C | Copy
Ctrl + F | Flip the selected shape or shapes vertically
Ctrl + L | Rotate the selected shape or shapes left 90 degree
Ctrl + M | Flip the selected shape or shapes horizontally
Ctrl + N | Create a new document
Ctrl + O | Open a document
Ctrl + P | Print the active document
Ctrl + R | Rotate the selected shape or shapes right 90 degree
Ctrl + S | Save the active document
Ctrl + V | Paste
Ctrl + W | Close the active document
Ctrl + X | Cut
Ctrl + Y | Redo
Ctrl + Z | Undo
Ctrl + Up Arrow | Move active page up
Ctrl + Down Arrow | Move active page down
Ctrl + Left Arrow | Move active page left
Ctrl + Right Arrow | Move active page right
Ctrl + E | Set shape protection properties
Ctrl + D | Fills and shadows
Ctrl + G | Set shape geometry data
Ctrl + I | Line formatting
Ctrl + T | Text formatting
Alt + Up Arrow | Bring the selected shape or shapes forward in the position stack.
Alt + Down Arrow | Bring the selected shape or shapes backward in the position stack.
Alt + Backspace | Undo text editing
Shift + Delete | Cut text
Shift + Insert | Paste text
Shift + Up Arrow | Move the selected shapes up with bigger step
Shift + Down Arrow | Move the selected shapes down with bigger step
Shift + Left Arrow | Move the selected shapes left with bigger step
Shift + Right Arrow | Move the selected shapes right with bigger step
F1 | Open help
F3 | Active selection tool
F5 | Enter full screen
F6 | Set shape custom properties
Esc | Finish full screen, editing and other dialogs
Up Arrow | Move the selected shapes up, move the active page up if no selection
Down Arrow | Move the selected shapes down, move the active page down if no selection
Left Arrow | Move the selected shapes left, move the active page left if no selection
Right Arrow | Move the selected shapes right, move the active page right if no selection
Ctrl + Shift + A | Active arc tool, used to insert arcs
Ctrl + Shift + B | Active curve tool, used to insert curves
Ctrl + Shift + C | Active connector tool, used to insert connectors
Ctrl + Shift + D | Open the distribute dialog
Ctrl + Shift + E | Active ellipse tool, used to insert ellipses
Ctrl + Shift + F | Active freehand tool, used to insert freehand curves
Ctrl + Shift + G | Group the selected shapes to a group shape
Ctrl + Shift + H | Make the selected shapes same height
Ctrl + Shift + I | Open the align dialog
Ctrl + Shift + K | Add hyperlinks
Ctrl + Shift + L | Active line tool, used to insert lines
Ctrl + Shift + M | Make the selected shapes same angle
Ctrl + Shift + N | Active connection points tool
Ctrl + Shift + O | Insert a OLE object
Ctrl + Shift + P | Insert a picture
Ctrl + Shift + R | Active rectangle tool, used to insert rectangles
Ctrl + Shift + S | Active sector tool, used to insert sectors
Ctrl + Shift + T | Active text tool, used to insert texts
Ctrl + Shift + U | Ungroup the selected group shape
Ctrl + Shift + W | Make the selected shapes same width
Ctrl + Shift + Y | Insert a symbol
Ctrl + Shift + Z | Make the selected shapes same size
Ctrl + Shift + Left Arrow | Rotate the selected shapes left
Ctrl + Shift + Right Arrow | Rotate the selected shapes right
Shift + Alt + L | Open the library pane
Shift + Alt + M | Open the sample pane
Shift + Alt + S | Open the style pane
Shift + Alt + Up Arrow | Bring the selected shape or shapes to top in the position stack.
Shift + Alt + Down Arrow | Bring the selected shape or shapes to bottom in the position stack.


Menus

File

Edit

View

Insert

Shape

Tools

Window

Help

Library

Library Shape

When working with the document window, the main menu bar looks as follows:

File

New: Creates a new EDraw document.

Open: Opens a file.

Close: Closes the active document.

Save: Saves the document.

Save as: Saves the document under a new name.

Export: Export drawing into other formats, include bmp, jpeg, png, gif, tif, wmf, emf, pdf, html, Native SVG, EDraw SlideShow...

Import: Import the common graphic format into EDraw, Include, bmp, jpeg, png, gif, tif, wmf, emf and PhotoShop format.

Page Setup: Allows to set the printer page parameters in the Page Setup dialog.

Print: Prints the document.

Print preview: Allows to preview the results before printing.

Send via E-mail: Sends a document by e-mail.

Open Recent: Displays a list of the most recently opened documents. When you choose a document from the list, the program will open it unless it was deleted or renamed.

Exit: Exits EDraw.

Edit

Undo: Cancels the most recent action.

Redo: Cancels the last Undo operation.

Cut: Cuts selected text or shapes and copies them onto the Clipboard.

Copy: Copies selected shapes or text onto the Clipboard.

Paste: Inserts the contents of the Clipboard into the document.

Delete: Deletes selected shapes.

Delete Page: Delete current active page.

Select All: Selects all shapes in the document.

Link: Open Ole link and edit with the object contain.

View

Library Window: This menu is used to display, hide and change the appearance of the library window. You can open all shapes in the library window.

Sample Window: The window includes lots of examples.

Style Window: The window includes some pre-defined color scheme, style. You can modify the shapes by modifying the style in use by the window.

Toolbar: Shows/hides toolbar.

Status: Shows/hides status.

Ruler: Shows/hides the rulers.

Grid: Shows/hides the grid.

Connection Point: Shows/hides the connection points of shapes.

Full Screen: Shows the drawing document in full screen.

Zoom: Lets you choose various zoom settings. Sets the specified zoom level for the active document window.

Insert

New Page: Add a new page in the current document.

Basic Draw Shape: Insert basic draw shape, such as rectangle, ellipse, line, arc ,curve, curve and freehand.

Text:Activates the Edit Text tool mode which lets you edit the text of the shape, and also create new "Text" shapes.

Picture: Inserts a picture into the document.

Symbol: Inserts a symbol into the document.

Connect Line: Activates the Smart Connector tool mode and lets you draw smart connectors.

Connection Points: Activates the Direct Connector tool mode and lets you modify the property of connection points.

OLE Object: Inserts ole object.

Shape

Text: Calls the Text Properties dialog for formatting text.

Line: Call the Line Properties dialog for formatting line.

Fill & Shadow: Call the fill and shadow properties dialog for formatting shapes.

Geometry: Set the width, height, aspect, position accurately.

Protection: Lock or unlock the properties of shapes. Include width, height, aspect ratio, x position, y position, rotate, text, edit vetex, from selection and from delete.

Custom Properties: Set the custom properties for the selected shapes.

Align: Align the selected shapes, include Left Align, Horizontal Center Align, Right align, Top Align, Vertical Middle Align and Bottom Align.

Distribute: Distribute selected shapes. Include 8 distribution method.

Group: Group all the selected shapes to a new shape; Ungroup the compose shape to single shapes

Make Same: Make the selected shapes with same width, same height, or same angle.

Order: Adjust the shapes order.

Rotate or Flip: Rotate or flip the selected shapes.

Center Drawing: let all shapes center align relative to page.

Tools

Select: Activates the Select tool mode.

Grid & Ruler: Set the grid and ruler.

Snap & Glue: Set the snap types.

Customize: customize the user interface.

Options: Configure the program properties.

Window

New Window: New a document.

Cascade: Arrange windows so they overlap.

Tile: Arrange windows as non-overlapping tiles.

Recently Open files.

Help

Help: Display help content.

Online Tutorial: Review the online video tutorial.

Product Web Site: Visit product web site.

Contact Us: Contact us and send your feedback.

Activate Product: Convert your copy into the full version.

Check for Update: Online live update.

About EDraw: Display program information, version number and copyright.

Library

This menu appears when you right-click on a Folder in the library window.

New Template: new a template.

Load Template: Load an exist template.

Basic Shapes: Some common templates.

Flowchart: Some flowchart templates.

Business process: Some business templates.

Network: Some network templates.

Symbols: Some common symbols.

Library Shape

This menu appears when you right-click on a shape in the library window.

Cut: Cuts the selected library shape and copies it onto the Clipboard.

Copy: Copies the library shape onto the Clipboard.

Paste: Pastes the shape from the Clipboard into the library.

Delete Shape: Delete current selected shape from the library.

Add Item: Add the shape to the current library.

Modify Item: Modify the selected shape in the library, include name, tooltip, icon and content.

Rename Item: Rename the shape item in the library.

Move Up: Move up the selected shape.

Move Down: Move down the selected shape.


EDraw copyright

Toolbars

Standard toolbar

Format toolbar

Tools toolbar

OLE toolbar

Zoom toolbar

Align toolbar

Distribute toolbar

Layout and Rerouting

Library toolbar

Drawing toolbar

Standard toolbar

This toolbar contains tools for working with files and the clipboard.

Name | Function
New | Creates a new document.
Open | Opens a file.
Save | Saves the document.
Print | Prints the document.
Cut | Cuts selected text or shapes and copies them onto the Clipboard.
Copy | Copies selected shapes or text onto the Clipboard.
Paste | Inserts the contents of the Clipboard into the document.
Undo | Cancels the most recent action. The name of the last action is displayed in the combo box item.
Redo | Cancels the last Undo operation. The name of the last action is displayed in the combo box item.
Template Gallery | Open or close shape template.
Sample Template | Open sample template file.
Crop | Crop the selected region to a graphic file.
Select Tool | Activates the Select tool mode.
Text Tool | Activates the Text tool mode to add text.
Insert Picture | Inserts a picture into the document.
Smart Connector/Connection | Activates the Smart Connector tool mode and lets you draw smart connectors./Activates the Direct Connector tool mode and lets you draw direct connectors.
Zoom | The Zoom drop-down list is used to set the magnification level. You can choose a value from the list, or type a custom value within the 1% - 4000 % range.
Help | Call the EDraw Help.

Format toolbar

The Formatting toolbar is used to change line color, weight, type, fill and shadow color of shapes and more.

Name | Function
Font Name | In this drop-down list you can choose the font you need.
Font Size | In this drop-down list you can choose a font size, or specify a custom font size.
Bold | Applies the Bold style to selected text, or to the text of selected shape.
Italic | Applies the Italic style to selected text, or to the text of selected shape.
Underline | Applies the Underline style to selected text, or to the text of selected shape.
Align Left | Aligns the paragraph to the left.
Align Center | Aligns the paragraph to the center.
Align Right | Aligns the paragraph to the right.
Align Up | Aligns the text block to the top.
Align Middle | Aligns the text block to the center.
Align Bottom | Aligns the text block to the bottom.
Font Color | The Line Color tool is used to set the line color. You can choose one of the colors in the button menu, or select the More Colors... item to get the Color dialog with more colors.
Line Color | The Line Color tool is used to set the line color. You can choose one of the colors in the button menu, or select the More Colors... item to get the Color dialog with more colors.
Fill Color | The Fill Color tool is used to set the fill color. You can choose one of the colors in the button menu, or select the More Colors... item to get the Color dialog with more colors.
Line Weight | The Line Weight tool is used to set the line weight. You can choose one of the values in the button menu, or select the More Line Weights... item and select the desired line weight on the Line tab of the Shape Properties dialog.
Line Style | The Line Style tool is used to set the line style. You can choose one of the styles in the button menu, or select More Line Patterns... and choose the desired line style on the Line tab of the Shape Properties dialog.
Arrow Style | The Line Ends Style tool is used to set the arrowhead style. You can choose of the styles in the button menu, or select More Arrow Styles... and choose the desired arrowhead style on the Line tab of the Shape Properties dialog.

Tools toolbar

This toolbar contains the main operation and drawing tools.

Name | Function
Select Tool | Activates the section mode.
Connect Line | Activates the connect line tool or the connection points. When you select the connect line tool; you can draw smart connector. When you select the connection point tool, you can add the connection point, move or delete the connection points. (Select the shape and press the CTRL key to add the connection points )
Text Tool | Activates the text tool or the Text Block tool. When you select the text tool; you can draw text frame. When you select the text block tool, you can change the position of the text.
Rectangle | Activates the Rectangle tool mode and lets you draw rectangle boxes, and also move and resize shapes.
Ellipse | Activates the Ellipse tool mode and lets you draw ellipses, and also move and resize shapes.
Line | Activates the Line tool mode and lets you draw lines and manipulate vertices of shapes.
Sector | Activates the Sector tool mode and lets you draw smooth Sector, and also manipulate vertices of shapes and change the curvature of Arc segments.
Arc | Activates the Arc tool mode and lets you draw elliptic arc segments, manipulate vertices of shapes and change the curvature of segments.
Curve | Activates the Curve tool mode and lets you draw circular sectors, manipulate vertices of shapes, and change the curvature of segments.
Free hand | Activates the Freehand tool mode and lets you draw freehand line, manipulate vertices of shapes, and change the curvature of segments.

OLE toolbar

This toolbar help you insert OLE objects

Note You can click OLE object on Insert Menu to insert more else OLE objects.

Zoom toolbar

This toolbar contains various commands for zooming page.

Align toolbar

This toolbar contains various commands for manipulating shapes (align, size, flipping, rotating, grouping).

Name | Function
Align Left | Align shapes by their left edges.
Align Center | Align shapes by their center horizontally.
Align Right | Align shapes by their right edges.
Align Top | Align shapes by their top sides.
Align Middle | Align shapes by their center horizontal.
Align Bottom | Align shapes by their bottom sides.
Vertical Middle Page | Move to middle vertically.
Horizon Center Page | Move to center horizontally.
Same Width | Make selected shapes same width.
Same Height | Make selected shapes same height
Same Size | Make selected shapes same size.
Bring to Front | Bring shape to front.
Send to Back | Send shape to back.
Bring to Forward | Bring shape to forward.
Send to Backward | Send shape to backward.
Left Rotate 90 | Left rotate selected shape at 90 degree.
Right Rotate 90 | Right rotate select shapes at 90 degree.
Flip Vertical | Flip image vertical.
Flip Horizontal | Flip image horizontal.
Group | Group all the selected shapes to a new shape.
Ungroup | Ungroup the compose shape to single shapes.

Distribute toolbar

This toolbar contains various commands for distributing shapes.

Layout and Rerouting

This toolbar contains various commands for connector.

Library toolbar

This toolbar contains various commands for opening template and search shapes in the templates.

Drawing toolbar

This toolbar contains various tools to draw vector graphics.